<?php
/**
 * The template for displaying project archive
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package softgen
 */

get_header();
$softgen_sidebar_args = [
	'global_layout' => softgen_get_option( 'theme_sidebar_layout', 'right-sidebar' ),
	'global_widget' => softgen_get_option( 'theme_sidebar_widget', 'right-sidebar' )
];
?>
<section class="wrapper">
	<div class="container">
		<div class="dl-row <?php echo esc_attr( SoftgenSidebar::sidebar_status( $softgen_sidebar_args ) ); ?>">
			<main id="primary" class="site-main">
				<div class="project-items" data-masonry='{"percentPosition": true }'>
					<?php if ( have_posts() ) :

						/* Start the Loop */
						while ( have_posts() ) :
							the_post();

							/*
							* Include the Post-Type-specific template for the content.
							* If you want to override this in a child theme, then include a file
							* called content-___.php (where ___ is the Post Type name) and that will be used instead.
							*/
							get_template_part( 'template-parts/project', 'card' );

						endwhile;

					else :

						get_template_part( 'template-parts/content', 'none' );

					endif;
					?>
				</div><!-- .post-items -->
				<?php softgen_the_posts_navigation(); ?>
			</main><!-- #main -->
			<?php get_sidebar(); ?>
		</div><!-- .dl-row -->
	</div><!-- .container -->
</section>
<?php 
get_footer();
