(function ($) {
	"use strict";

	if( $('body').hasClass('rtl') ) {
        var rtlMode = true;
    }else{
        var rtlMode = false;
    }
	
	// Preloader
	if ('enable' === softgen_data.preloader) {
		$(window).on('load', function () {
			$('#preloader-wrap .sg-preloader').hide();
			$('#preloader-wrap').css({
				"height": 0
			});
			$('body').addClass('loaded');
			setTimeout(function () {
				$('#preloader-wrap').remove();
			}, 5000);
		});
	}

	$(document).ready(function () {

		function responsiveClasses() {
            var body = $('body');
            if ($(window).width() < 992) {
                body.removeClass('viewport-lg');
                body.addClass('viewport-sm');
            } else {
                body.removeClass('viewport-sm');
                body.addClass('viewport-lg');
            }
        }

		$(window).on("resize", function () {
            responsiveClasses();
        }).resize();

		// Ui Select
		$("select:not(.wpcf7-select)").selectmenu();

		// Main Header
		if ( 'enable' === softgen_data.sticky ) {
			if ($('body').hasClass('viewport-lg')) {
				var primaryHeader = $('.header-wrapper'),
					yOffset = 0;
	
				$(window).on('scroll', function () {
					yOffset = $(window).scrollTop();
					if (yOffset >= 20) {
						primaryHeader.addClass('sticky-fixed-top');
					} else {
						primaryHeader.removeClass('sticky-fixed-top');
						
					}
				});
			}
		}
        
        // Mobile Menu
        function mobileMenu() {
            $("header.header-wrapper").after('<div class="mobile-navigation-menu"><button id="mobile-menu-close"><i class="la la-close"></i></button></div>');
            var menuWrapper = $("header .navigation-menu .main-menu").clone();
            $('.mobile-navigation-menu #mobile-menu-close').after(menuWrapper);
            
                $("#mobile-menu-close, .mobile-menu-icon").on("click", function () {
                    $(".mobile-menu-icon").toggleClass("menu-open");
                    $(".mobile-navigation-menu").toggleClass("open-mobile-menu");
                });

            $(".mobile-navigation-menu ul li:has(ul)").each(function () {
                $(this).append('<span class="dropdown-plus"></span>');
                $(this).addClass("dropdown_menu");
            });

            $(".mobile-navigation-menu .dropdown-plus").on("click", function () {
                $(this).prev("ul").slideToggle(300);
                $(this).toggleClass("dropdown-open");
                $(".mobile-navigation-menu ul li:has(ul)").toggleClass("dropdown-open");
            });

            $(".mobile-navigation-menu .dropdown_menu a").append("<span></span>");
        }

        mobileMenu();

        // Popup Sidebox
        function sideBox() {
            $("body").removeClass("open-sidebox");
            $(document).on("click", ".sidebar-trigger", function (e) {
                e.preventDefault();
                $("body").toggleClass("open-sidebox");
            });
            $(document).on("click", ".sidebox-close, #sidebox-overlay", function (e) {
                e.preventDefault();
                $("body.open-sidebox").removeClass("open-sidebox");
            });
        }

        sideBox();

		// Shopping Cart
		$('.shopping-cart-inner, .cart-overlay-global, .aside-cart-close').on('click', function (e) {
			e.preventDefault();
			$('body').toggleClass('open-cart-aside');
		});

		$(document).on('click', '.product-item__description--actions .ajax_add_to_cart, .buttons .add_to_cart_button, .ajax_add_to_cart', function () {
			$(document.body).on('wc_cart_button_updated', function () {
				setTimeout(function () {
					$('body').addClass('open-cart-aside');
				}, 1000);
			});
		});

		// Project Slider
		if ($('body').hasClass('single-dl-project')) {
			$('.related-project-carousel').owlCarousel({
				autoplay: true,
				loop: true,
				smartSpeed: 1200,
				autoplayTimeout: 6000,
				nav: false,
				dots: true,
				rtl: rtlMode,
				responsive: {
					0: {
						items: 1,
						margin: 5
					},
					767: {
						items: 2,
						margin: 30
					},
					992: {
						items: 4,
						margin: 30
					}
				}
			});
		}

		// Custom Cursor
        function customCursor() {
            $('body').append('<div class="dl-cursor"></div>');
            var cursor = $('.dl-cursor');

            $(window).on('mousemove', function (e) {
                cursor.css({
                    'transform': 'translate(' + (e.clientX - 5) + 'px,' + (e.clientY - 5) + 'px)',
                    'visibility': 'inherit'
                });
            });

            $(window).on('mouseout', function () {
                cursor.css('visibility', 'hidden');
            });
        }

		if( 'show' === softgen_data.custom_cursor){
			if ($('body').hasClass('viewport-lg')) {
				customCursor();
			}
		}

	});

	// Page Scroll
	function scrollTop() {
		const scrollTop = () => {
			const scrollTopPos = document.documentElement.scrollTop;
			const scrollElementWrap = $("#scroll-to-top");

			if (scrollTopPos > 100) {
				scrollElementWrap.addClass("active");
			} else {
				scrollElementWrap.removeClass("active");
			}

		}
		window.onscroll = scrollTop;
		window.onload = scrollTop;

		// Back to Top
		function scrollToTop() {
			document.documentElement.scrollTo({
				top: 0,
				behavior: "smooth"
			});
		}

		$("#scroll-to-top").on("click", scrollToTop);
	}

	$(window).on('load', function () {
		if ('enable' == softgen_data.scrollto_top) {
			scrollTop();
		}
	});

})(jQuery);    