<?php
/**
 * Author banner
 *
 * @package softgen
 */
$softgen_img_render = '';
$softgen_has_f_img = '';
$softgen_has_img = '';
if( is_page() ) {
    $softgen_img_url = SoftgenHelper::get_featured_image_url();
    $softgen_img_render = ! empty( $softgen_img_url ) ? 'style="background-image: url('. esc_url( $softgen_img_url ) .');"' : '';
    $softgen_has_f_img = ' has-featured-img';
    $softgen_has_img = ! empty( $softgen_img_render ) ? '' : ' no-image';
}

$softgen_alignment = ' ' . softgen_get_option( 'ph_text_align', 'center' );
$softgen_classes = $softgen_has_img . $softgen_has_f_img . $softgen_alignment;
?>
<div class="page-banner<?php echo esc_attr( $softgen_classes ); ?>" <?php echo SoftgenHelper::kses_basic( $softgen_img_render ); ?>>
    <?php echo 'enable' === softgen_get_option( 'ph_overlay', 'disable' ) ? '<div class="overlay"></div>' : ''; ?>
    <div class="<?php SoftgenHelper::theme_layout(); ?>">
        <div class="page-banner-inner">
            <div>
                <h1 class="entry-title"><?php echo get_the_author_meta('display_name'); ?></h1>
                <?php 
                if( is_home() ) {
                    if( '' != softgen_get_option('blog_pb_subtitle') ) {
                        echo '<h3>'. esc_html( softgen_get_option('blog_pb_subtitle') ) .'</h3>';
                    }
                }elseif( is_page() ) {
                    $softgen_subtitle = SoftgenHelper::get_meta_field( 'softgen_sub_title' );
                    echo '' != $softgen_subtitle ? '<h3>'. esc_html( $softgen_subtitle ) .'</h3>' : '';
                }
                ?>
                <h1 class="entry-title"><?php echo SoftgenHelper::kses_advance( SoftgenHelper::get_title() ); ?></h1>
                <?php
                if( is_archive() ) {
                    the_archive_description('<p>', '</p>');
                }elseif( is_home() ) {
                    if( '' != softgen_get_option('blog_pb_desc') ) {
                        echo '<p>'. esc_html( softgen_get_option('blog_pb_desc') ) .'</p>';
                    }
                }elseif( is_page() ) {
                    $softgen_pb_desc = SoftgenHelper::get_meta_field( 'softgen_desc' );
                    echo '' != $softgen_pb_desc ? '<p>'. SoftgenHelper::kses_basic( $softgen_pb_desc ) .'</p>' : '';
                }
                ?>
            </div>
        </div>
        <?php 
            if( 'show' === softgen_get_option( 'ph_breadcrumbs', 'show' ) ) {
                SoftgenHelper::get_breadcrumb();
            }
        ?>
    </div>
</div><!-- /.post-banner -->