<?php
/**
 * The template for displaying the footer copyright area
 * 
 * @package softgen
 */
$softgen_footer_content = softgen_get_option('footer-content');
$softgen_copyright_text = SoftgenHelper::key_exists( 'copyright_text', $softgen_footer_content );
$softgen_is_menu = has_nav_menu( 'footer-menu' ) ? '' : ' no-footer-menu';
?>
<div class="copyright-area<?php echo esc_attr( $softgen_is_menu ); ?>">
    <div class="<?php SoftgenHelper::theme_layout(); ?>">
        <div class="copyright-inner">
            <?php if( ! empty( $softgen_copyright_text ) ) : ?>
            <div class="site-info">
                <?php echo SoftgenHelper::kses_advance( $softgen_copyright_text ); ?>
            </div><!-- .site-info -->
            <?php else : ?>
            <div class="site-info">
                <?php printf( esc_html__( '&copy; Copyright %1$s %2$s. All Rights Reserved.', 'softgen' ), date('Y'), '<a href="https://themeforest.net/user/dynamiclayers">DynamicLayers</a>' ); ?>
            </div><!-- .site-info -->
            <?php endif; ?>
            <?php 
            if( has_nav_menu( 'footer-menu' ) ){
                wp_nav_menu(
                    array(
                        'theme_location'  => 'footer-menu',
                        'container' 	  => false,
                        'menu_class'      => 'footer-menu',
                        'fallback_cb'     => '',
                        'menu_id'         => false,
                        'depth'           => 1
                    )
                );
            }
            ?>
        </div>
    </div>
</div>