<?php
/**
 * The template for displaying the footer widget area
 * 
 * @package softgen
 */
$softgen_content = softgen_get_option('footer-content');
$softgen_widget_area = SoftgenHelper::key_exists( 'footer-widget', $softgen_content );
$softgen_footer_map = SoftgenHelper::key_exists( 'footer-map', $softgen_content );
$softgen_footer_shape = SoftgenHelper::key_exists( 'footer-shape', $softgen_content );
$softgen_widgets = SoftgenHelper::active_footer_widgets();
$softgen_cls = 'show' != $softgen_widget_area ? ' no-widget-area' : '';
?>

<footer class="footer-wrapper<?php echo esc_attr( $softgen_cls ); ?>"> 
    <?php if( ! empty( $softgen_widgets ) && 'show' === $softgen_widget_area ) : ?>
    <?php
        if( 'show' === $softgen_footer_map ) {
            echo '<div class="map-pattern"></div>';
        }
        if( 'show' === $softgen_footer_shape ) {
            echo '<div class="shape-pattern"></div>';
        }
    ?>
    <div class="footer-widgets-area">
        <div class="<?php SoftgenHelper::theme_layout(); ?>">
            <div class="footer-widget-items widget-col-<?php echo esc_attr( count( $softgen_widgets ) ); ?>">
                <?php foreach( $softgen_widgets as $softgen_widget ) : ?>
                    <div class="footer-widget-item">
                        <?php dynamic_sidebar( $softgen_widget ); ?>
                    </div>
                <?php endforeach; ?>
            </div>
        </div>
    </div>
    <?php endif; ?>
    <?php get_template_part( 'global-templates/copyright', 'template' ); ?>
</footer>
