<?php
/**
 * Header Template
 *
 * @package softgen
 */
$softgen_btn = softgen_get_option( 'header_btn', 'hide' );
$softgen_btn_txt = softgen_get_option( 'header_btn_text' );
$softgen_btn_link = softgen_get_option( 'header_btn_link' );
$softgen_btn_target = softgen_get_option( 'header_btn_target', '_blank' );
$softgen_login_link = softgen_get_option( 'header_login', 'hide' );
$softgen_login_txt = softgen_get_option( 'header_login_text' );
$softgen_menu_sidebar = softgen_get_option('menu_sidebar', 'show');
$softgen_custom_menu = SoftgenHelper::get_meta_field( 'softgen_custom_menu', 'default' );
$softgen_sticky_header_bg = SoftgenHelper::get_meta_field('softgen_sticky_header_bg', '');
$softgen_sticky_bg_var = '' != $softgen_sticky_header_bg ? '--softgen-sticky-header-bg: ' . $softgen_sticky_header_bg : '';
?>
<header class="header-wrapper<?php echo esc_attr( SoftgenHelper::header_color_scheme() ); ?>" style="<?php echo esc_attr( $softgen_sticky_bg_var ); ?>">
    <div class="navigation-wrapper">
        <div class="container">
            <div class="navigation-inner">
                <div class="site-logo">
                    <a href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php do_action('softgen_site_branding'); ?></a>
                </div>
                <nav class="navigation-menu">
                <?php
                if( ! empty( $softgen_custom_menu ) && 'default' != $softgen_custom_menu ) {
                    wp_nav_menu(
                        array(
                            'theme_location'  => 'primary',
                            'container' 	  => false,
                            'menu_class'      => 'main-menu',
                            'fallback_cb'     => '',
                            'menu_id'         => false,
                            'menu'            => $softgen_custom_menu,
                            'depth'           => 3
                        )
                    );
                }else{
                    wp_nav_menu(
                        array(
                            'theme_location'  => 'primary',
                            'container' 	  => false,
                            'menu_class'      => 'main-menu',
                            'fallback_cb'     => '',
                            'menu_id'         => false,
                            'depth'           => 3
                        )
                    );
                }
                ?>
                </nav>
                <div class="header-right">
                    <?php
                    if( 'show' === $softgen_login_link && ! empty( $softgen_login_txt ) && ! is_user_logged_in() ) {
                        echo '<a href="'. esc_url( wp_login_url() ) .'" class="login-link"><i class="las la-user"></i> '. esc_html( $softgen_login_txt ) .'</a>';
                    }

                    do_action('softgen_header_cart');

                    if( 'show' === $softgen_btn && ! empty( $softgen_btn_txt && $softgen_btn_link ) ) {
                        $softgen_btn_mobile = softgen_get_option( 'header_mobile_btn', 'hide' );
                        $softgen_btn_m_cls = 'show' === $softgen_btn_mobile ? ' d-lg-block d-md-block' : ' d-lg-block';
                        echo '<a href="'. esc_url( $softgen_btn_link ) .'" class="default-btn d-none'. esc_attr( $softgen_btn_m_cls ) .'" target="'. esc_attr( $softgen_btn_target ) .'">'. esc_html( $softgen_btn_txt ).'</a></li>';
                    }

                    if( 'show' === $softgen_menu_sidebar ) {
                        echo '<button class="sidebar-trigger svg-bar-icon-anim"><svg class="svg-bar-icon" xmlns="http://www.w3.org/2000/svg" width="21" height="21" viewBox="0 0 21 21"><line x1="19" y1="3" x2="2" y2="3"></line><line x1="19" y1="10.5" x2="2" y2="10.5"></line><line x1="19" y1="18" x2="2" y2="18"></line></svg></button>';
                    }
                    
                    if ( has_nav_menu( 'primary' ) ): ?>
                    <div class="mobile-menu-icon">
                    <svg class="svg-bar-icon" xmlns="http://www.w3.org/2000/svg" width="21" height="21" viewBox="0 0 21 21"><line x1="19" y1="3" x2="2" y2="3"></line><line x1="19" y1="10.5" x2="2" y2="10.5"></line><line x1="19" y1="18" x2="2" y2="18"></line></svg>
                        <!-- <div class="burger-menu">
                            <div class="line-menu line-half first-line"></div>
                            <div class="line-menu"></div>
                            <div class="line-menu line-half last-line"></div>
                        </div> -->
                    </div>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </div>
</header>
<!--/.main-header-->

<?php
if( 'show' === $softgen_menu_sidebar ) : 
$softgen_sidebar_logo = softgen_get_option('menu_sidebar_logo');
$softgen_sidebar_content = softgen_get_option('menu_sidebar_content');
$softgen_sidebar_list = softgen_get_option('menu_sidebar_list');
$softgen_socials = softgen_get_option('social_profiles');
?>
<div id="popup-sidebox" class="popup-sidebox">
    <button class="sidebox-close"><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-6 h-6">
  <path stroke-linecap="round" stroke-linejoin="round" d="M6 18 18 6M6 6l12 12" />
</svg>
</button>
    <div class="sidebox-content">
        <?php if( ! empty( $softgen_sidebar_logo ) ) : ?>
        <div class="site-logo">
            <a href="<?php echo esc_url( home_url( '/' ) ); ?>"><img src="<?php echo esc_url( $softgen_sidebar_logo ); ?>" alt="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>"></a>
        </div>
        <?php endif; 
        if( ! empty( $softgen_sidebar_content ) ) {
            echo '<p>'. SoftgenHelper::kses_basic( $softgen_sidebar_content ) .'</p>';
        }
        if( $softgen_sidebar_list ) : ?>
        <ul class="sidebox-list">
            <?php
            foreach( $softgen_sidebar_list as $softgen_sidebar_list_item ) {
                $softgen_list_hl = SoftgenHelper::key_exists( 'highlight', $softgen_sidebar_list_item );
                $softgen_highlight = 'yes' === $softgen_list_hl ? ' class="highlight"' : '';
                if( ! empty( $softgen_sidebar_list_item['label'] || $softgen_sidebar_list_item['content'] ) ) {
                    echo '<li'. SoftgenHelper::kses_advance($softgen_highlight) .'>';
                    if( ! empty( $softgen_sidebar_list_item['label'] ) ) {
                        echo '<span>'. esc_html( $softgen_sidebar_list_item['label'] ) .'</span>';
                    }
                    if( ! empty( $softgen_sidebar_list_item['content'] ) ) {
                        echo esc_html( $softgen_sidebar_list_item['content'] );
                    }
                    echo '</li>';
                }
            }
            ?>
        </ul>
        <?php endif; ?>
        <?php if( ! empty( $softgen_socials ) ) : ?>
            <div class="side-socials">
                <?php
                foreach( $softgen_socials as $softgen_social ) {
                    if( ! empty( $softgen_social['media_link'] ) ) {
                        echo '<a href="'. esc_url( $softgen_social['media_link'] ) .'" target="_blank"><i class="dl '. esc_attr( $softgen_social['media'] ) .'"></i></a>';
                    }elseif( ! empty( $softgen_social['email'] ) ){
                        echo '<a href="mailto:'. esc_attr( $softgen_social['email'] ) .'"><i class="dl '. esc_attr( $softgen_social['media'] ) .'"></i></a>';
                    }elseif( ! empty( $softgen_social['whatsapp'] ) ){
                        echo '<a href="https://wa.me/'. esc_attr( $softgen_social['whatsapp'] ) .'" target="_blank"><i class="dl '. esc_attr( $softgen_social['media'] ) .'"></i></a>';
                    }
                }
                ?>
            </div>
        <?php endif; ?>
    </div>
</div>
<!--/.popup-sidebox-->
<div id="sidebox-overlay"></div>
<?php endif; ?>