<?php
/**
 * Page banner
 *
 * @package softgen
 */
if( is_home() ) {
    $softgen_alignment = ' ' . softgen_get_option( 'blog_ph_text_align', 'center' );
}else{
    $softgen_alignment = ' ' . softgen_get_option( 'ph_text_align', 'center' );
}
$softgen_classes = $softgen_alignment;
?>
<div class="page-banner<?php echo esc_attr( $softgen_classes ); ?>">
    <div class="<?php SoftgenHelper::theme_layout(); ?>">
        <div class="page-banner-inner">
            <div class="page-banner-info">
                <?php 
                if( is_home() ) {
                    if( '' != softgen_get_option('blog_pb_subtitle') ) {
                        echo '<h4>'. esc_html( softgen_get_option('blog_pb_subtitle') ) .'</h4>';
                    }
                }elseif( is_page() ) {
                    $softgen_subtitle = SoftgenHelper::get_meta_field( 'softgen_sub_title' );
                    echo '' != $softgen_subtitle ? '<h4>'. esc_html( $softgen_subtitle ) .'</h4>' : '';
                }
                
                if( is_page() ){
                    $softgen_page_heading = SoftgenHelper::get_meta_field('softgen_heading');
                    if( ! empty( $softgen_page_heading ) ) {
                        echo '<h1 class="entry-title">'. SoftgenHelper::kses_advance( SoftgenHelper::get_highlighted_text( $softgen_page_heading ) ) .'</h1>';
                    }else{
                        echo '<h1 class="entry-title">'. SoftgenHelper::kses_advance( SoftgenHelper::get_title() ) .'</h1>';
                    }
                }else{
                    echo '<h1 class="entry-title">'. SoftgenHelper::kses_advance( SoftgenHelper::get_highlighted_text( SoftgenHelper::get_title() ) ) .'</h1>';
                }
                
                if( is_archive() ) {
                    the_archive_description('<p>', '</p>');
                }elseif( is_home() ) {
                    if( '' != softgen_get_option('blog_pb_desc') ) {
                        echo '<p>'. SoftgenHelper::kses_basic( softgen_get_option('blog_pb_desc') ) .'</p>';
                    }
                }elseif( is_page() ) {
                    $softgen_pb_desc = SoftgenHelper::get_meta_field( 'softgen_desc' );
                    echo '' != $softgen_pb_desc ? '<p>'. SoftgenHelper::kses_basic( $softgen_pb_desc ) .'</p>' : '';
                }elseif( is_author() ) {
                    if( ! empty( get_the_author_meta('description') ) ) {
                        echo '<p>'. esc_html( get_the_author_meta('description') ) .'</p>';
                    }
                }
                if( 'show' === softgen_get_option( 'ph_breadcrumbs', 'hide' ) ) {
                    SoftgenHelper::get_breadcrumb();
                }
                ?>
            </div>
        </div>
    </div>
    <?php
    if( 'show' === softgen_get_option( 'ph_lines', 'show' ) ) {
        echo '<div class="lines"><div class="line"></div><div class="line"></div><div class="line"></div><div class="line"></div></div>';
    }
    if( 'show' === softgen_get_option( 'ph_animated_dots', 'show' ) ) {
        echo '<div class="animated-dots">
            <span class="dot lf-left-right"></span>
            <span class="dot lf-up-down"></span>
            <span class="dot lf-up-down"></span>
            <span class="dot lf-rotate-center"></span>
            <span class="dot lf-left-right"></span>
            <span class="dot lf-rotate-center"></span>
        </div>';
    }
    ?>
</div><!-- /.page-banner -->