<?php
/**
 * Post banner
 *
 * @package softgen
 */
$softgen_alignment = ' ' . softgen_get_option( 'blog_ph_text_align', 'center' );
$softgen_classes = $softgen_alignment;
?>
<div class="post-banner<?php echo esc_attr( $softgen_classes ); ?>">
    <div class="<?php SoftgenHelper::theme_layout(); ?>">
        <div class="post-banner-inner">
            <div>
            <?php
                SoftgenHelper::get_terms('category', 1); 
                the_title( '<h1 class="entry-title">', '</h1>' );
                if( ! empty( SoftgenHelper::get_the_excerpt() ) ) {
                    echo '<p>'. esc_html( SoftgenHelper::get_the_excerpt() ) .'</p>';
                }
                softgen_entry_header(false);
                if( 'show' === softgen_get_option('ph_breadcrumbs', 'hide' ) ) {
                    SoftgenHelper::get_breadcrumb();
                }
            ?>
            </div>
        </div>
    </div>
    <?php
    if( 'show' === softgen_get_option( 'ph_lines', 'show' ) ) {
        echo '<div class="lines"><div class="line"></div><div class="line"></div><div class="line"></div><div class="line"></div></div>';
    }
    if( 'show' === softgen_get_option( 'ph_animated_dots', 'show' ) ) {
        echo '<div class="animated-dots">
            <span class="dot lf-left-right"></span>
            <span class="dot lf-up-down"></span>
            <span class="dot lf-up-down"></span>
            <span class="dot lf-rotate-center"></span>
            <span class="dot lf-left-right"></span>
            <span class="dot lf-rotate-center"></span>
        </div>';
    }
    ?>
</div><!-- /.post-banner -->