<?php
/**
 * Shop Page Header Template
 *
 * This is the template that displays shop page header
 *
 * @package softgen
 */
$softgen_breadcrumb = 'show' === softgen_get_option( 'ph_breadcrumbs', 'hide' ) ? ' is-breadcrumb' : '';
$softgen_alignment = ' ' . softgen_get_option( 'ph_text_align', 'center' ) . $softgen_breadcrumb;
?>
<div class="page-banner shop-ph-header<?php echo esc_attr( $softgen_alignment ); ?>">
	<div class="<?php SoftgenHelper::theme_layout(); ?>">
		<div class="page-banner-inner">
			<div class="page-banner-info">
				<?php if ( apply_filters( 'woocommerce_show_page_title', true ) ) : ?>
					<h1 class="woocommerce-products-header__title page-title"><?php echo is_product() ? get_the_title(SoftgenHelper::get_the_post_id()) : woocommerce_page_title(); ?></h1>
				<?php endif;
					do_action( 'woocommerce_archive_description' );
					if( 'show' === softgen_get_option('ph_breadcrumbs', 'hide' ) ) {
						SoftgenHelper::get_breadcrumb();
					}
				?>
			</div>
		</div>
	</div>
	<?php
    if( 'show' === softgen_get_option( 'ph_lines', 'show' ) ) {
        echo '<div class="lines"><div class="line"></div><div class="line"></div><div class="line"></div><div class="line"></div></div>';
    }
    if( 'show' === softgen_get_option( 'ph_animated_dots', 'show' ) ) {
        echo '<div class="animated-dots">
            <span class="dot lf-left-right"></span>
            <span class="dot lf-up-down"></span>
            <span class="dot lf-up-down"></span>
            <span class="dot lf-rotate-center"></span>
            <span class="dot lf-left-right"></span>
            <span class="dot lf-rotate-center"></span>
        </div>';
    }
    ?>
</div><!-- /.page-header -->