<?php
defined( 'ABSPATH' ) || exit;
CSF::createSection( 'softgen_opt', array(
    'id'     => 'error_section',
    'title'  => esc_html__( '404 Page', 'softgen' ),
    'icon'   => 'fa fa-exclamation',
    'fields' => array(

        array(
            'type'    => 'subheading',
            'content' => esc_html__( '404 Page', 'softgen' ),
        ),

        array(
            'id'       => 'softgen_404_template',
            'type'     => 'select',
            'title'    => esc_html__( 'Design Template', 'softgen' ),
            'subtitle' => esc_html__( 'You can use Elementor blocks as a 404 template by choosing Elementor Block.', 'softgen' ),
            'options'  => array(
                'default'  => esc_html__( 'Default', 'softgen' ),
                'el-block' => esc_html__( 'Elementor Block', 'softgen' ),
            ),
            'default'  => 'default',
        ),

        array(
            'id'        => 'error_gradient_bg',
            'type'      => 'image_select',
            'title'    => esc_html__('Gradient Background', 'softgen'),
            'subtitle' => esc_html__('You can select gradient background from here.', 'softgen'),
            'options'   => array(
                'gradient-bg-1' => get_template_directory_uri() . '/assets/img/gradient/gradient-thumb-1.jpg',
                'gradient-bg-2' => get_template_directory_uri() . '/assets/img/gradient/gradient-thumb-2.jpg',
                'gradient-bg-3' => get_template_directory_uri() . '/assets/img/gradient/gradient-thumb-3.jpg',
                'gradient-bg-4' => get_template_directory_uri() . '/assets/img/gradient/gradient-thumb-4.jpg',
                'custom' => get_template_directory_uri() . '/assets/img/gradient/custom.jpg',
            ),
            'default'   => 'gradient-bg-1',
            'dependency'    => array('softgen_404_template', '==', 'default')
        ),

        array(
            'id'                       => 'error_custom_page_bg',
            'type'                     => 'background',
            'title'                    => esc_html__('Background Image', 'softgen'),
            'subtitle'                 => esc_html__('You can set the custom background image using this option.', 'softgen'),
            'background_blend_mode'    => false,
            'background_image_preview' => true,
            'dependency'               => array('softgen_404_template|error_gradient_bg', '==|==', 'default|custom')
        ),

        array(
            'id'          => 'softgen_404_el',
            'type'        => 'select',
            'chosen'      => true,
            'ajax'        => true,
            'title'       => esc_html__( 'Elementor Block', 'softgen' ),
            'subtitle'    => esc_html__( 'Choose a Elementor saved block from this select box.', 'softgen' ),
            'placeholder' => esc_html__( 'Select a block', 'softgen' ),
            'options'     => 'posts',
            'query_args'  => array(
                'post_type'      => 'elementor_library',
                'posts_per_page' => -1,
                'orderby'        => 'date',
            ),
            'dependency'  => array( 'softgen_404_template', '!=', 'default' ),
        ),

        array(
            'id'         => 'softgen_404_heading',
            'type'       => 'textarea',
            'title'      => esc_html__( 'Heading', 'softgen' ),
            'subtitle'   => esc_html__( 'You can change the 404 page heading text from here.', 'softgen' ),
            'default'    => esc_html__( 'Oops! That page can&rsquo;t be found.', 'softgen' ),
            'attributes' => array(
                'rows'        => 4,
                'placeholder' => esc_html__( 'Heading text...', 'softgen' ),
            ),
            'dependency' => array( 'softgen_404_template', '!=', 'el-block' ),
        ),

        array(
            'id'         => 'softgen_404_desc',
            'type'       => 'textarea',
            'title'      => esc_html__( 'Description', 'softgen' ),
            'subtitle'   => esc_html__( 'You can change the 404 page description text from here.', 'softgen' ),
            'default'    => esc_html__( 'It looks like nothing was found at this location. Maybe try one of the links below or a search?', 'softgen' ),
            'attributes' => array(
                'rows'        => 4,
                'placeholder' => esc_html__( 'Description text...', 'softgen' ),
            ),
            'dependency' => array( 'softgen_404_template', '!=', 'el-block' ),
        ),

        array(
            'id'         => 'softgen_404_btn_text',
            'type'       => 'text',
            'title'      => esc_html__( 'Button Text', 'softgen' ),
            'subtitle'   => esc_html__( 'You can change the back to home button text from here.', 'softgen' ),
            'default'    => esc_html__( 'Back to Home', 'softgen' ),
            'dependency' => array( 'softgen_404_template', '!=', 'el-block' ),
        ),

    ),
) );
