<?php
defined( 'ABSPATH' ) || exit;

CSF::createSection( 'softgen_opt', array(
    'id'     => 'footer_sec',
    'title'  => esc_html__( 'Footer', 'softgen' ),
    'icon'   => 'fa fa-th-list',
    'fields' => array(

        array(
            'type'    => 'subheading',
            'content' => esc_html__( 'Default Footer', 'softgen' ),
        ),

        array(
            'id'       => 'softgen_footer_template',
            'type'     => 'select',
            'title'    => esc_html__( 'Design Template', 'softgen' ),
            'subtitle' => esc_html__( 'You can use Elementor blocks as a footer by choosing Elementor Block.', 'softgen' ),
            'options'  => array(
                'default'  => esc_html__( 'Default', 'softgen' ),
                'el-block' => esc_html__( 'Elementor Block', 'softgen' ),
            ),
            'default'  => 'default',
        ),

        array(
            'id'          => 'softgen_el_template',
            'type'        => 'select',
            'chosen'      => true,
            'ajax'        => true,
            'title'       => esc_html__( 'Choose Template', 'softgen' ),
            'subtitle'    => esc_html__( 'Choose a Elementor saved block from this select box to use as a footer.', 'softgen' ),
            'placeholder' => esc_html__( 'Select a block', 'softgen' ),
            'options'     => 'posts',
            'query_args'  => array(
                'post_type'      => 'elementor_library',
                'posts_per_page' => -1,
                'orderby'        => 'date',
            ),
            'dependency'  => array( 'softgen_footer_template', '!=', 'default' ),
        ),

        array(
            'id'         => 'footer-content',
            'type'       => 'tabbed',
            'title'      => '',
            'dependency' => array( 'softgen_footer_template', '!=', 'el-block' ),
            'tabs'       => array(

                array(
                    'title'  => esc_html__( 'Footer Widget', 'softgen' ),
                    'icon'   => 'fa fa-ellipsis-h',
                    'fields' => array(

                        array(
                            'id'       => 'footer-widget',
                            'type'     => 'button_set',
                            'title'    => esc_html__( 'Widget Area Control', 'softgen' ),
                            'subtitle' => esc_html__( 'You can show/hide widget area using this control.', 'softgen' ),
                            'options'  => array(
                                'show' => esc_html__( 'Show', 'softgen' ),
                                'hide' => esc_html__( 'Hide', 'softgen' ),
                            ),
                            'default'  => 'show',
                        ),

                        array(
                            'id'        => 'footer_gradient_bg',
                            'type'      => 'image_select',
                            'title'    => esc_html__('Gradient Background', 'softgen'),
                            'subtitle' => esc_html__('You can select gradient background from here.', 'softgen'),
                            'options'   => array(
                                'gradient-bg-5' => get_template_directory_uri() . '/assets/img/gradient/gradient-thumb-5.jpg',
                                'gradient-bg-2' => get_template_directory_uri() . '/assets/img/gradient/gradient-thumb-2.jpg',
                                'gradient-bg-3' => get_template_directory_uri() . '/assets/img/gradient/gradient-thumb-3.jpg',
                                'gradient-bg-4' => get_template_directory_uri() . '/assets/img/gradient/gradient-thumb-4.jpg',
                                'custom' => get_template_directory_uri() . '/assets/img/gradient/custom.jpg',
                            ),
                            'default'   => 'gradient-bg-5'
                        ),

                        array(
                            'id'                       => 'footer-widget-bg',
                            'type'                     => 'background',
                            'title'                    => esc_html__( 'Custom Background', 'softgen' ),
                            'subtitle'                 => esc_html__( 'You can change the widget area background from here.', 'softgen' ),
                            'background_blend_mode'    => false,
                            'background_image_preview' => true,
                            'dependency'               => array( 'footer_gradient_bg', '==', 'custom' ),
                        ),

                        array(
                            'id'         => 'footer-widget-bd',
                            'type'       => 'border',
                            'title'      => esc_html__( 'Border', 'softgen' ),
                            'subtitle'   => esc_html__( 'You can set top/bottom border from here.', 'softgen' ),
                            'left'       => false,
                            'right'      => false,
                            'dependency' => array( 'footer-widget', '!=', 'hide' ),
                        ),

                        array(
                            'id'         => 'footer-w-spacing-d',
                            'type'       => 'spacing',
                            'title'      => esc_html__( 'Spacing [Desktop]', 'softgen' ),
                            'subtitle'   => esc_html__( 'You can set spacing for desktop from here.', 'softgen' ),
                            'left'       => false,
                            'right'      => false,
                            'units'      => array( 'px', 'em' ),
                            'dependency' => array( 'footer-widget', '!=', 'hide' ),
                        ),

                        array(
                            'id'         => 'footer-w-spacing-t',
                            'type'       => 'spacing',
                            'title'      => esc_html__( 'Spacing [Tablet]', 'softgen' ),
                            'subtitle'   => esc_html__( 'You can set spacing for tablet from here.', 'softgen' ),
                            'left'       => false,
                            'right'      => false,
                            'units'      => array( 'px', 'em' ),
                            'dependency' => array( 'footer-widget', '!=', 'hide' ),
                        ),

                        array(
                            'id'         => 'footer-w-spacing-m',
                            'type'       => 'spacing',
                            'title'      => esc_html__( 'Spacing [Mobile]', 'softgen' ),
                            'subtitle'   => esc_html__( 'You can set spacing for mobile from here.', 'softgen' ),
                            'left'       => false,
                            'right'      => false,
                            'units'      => array( 'px', 'em' ),
                            'dependency' => array( 'footer-widget', '!=', 'hide' ),
                        ),

                    ),
                ),

                array(
                    'title'  => esc_html__( 'Footer Copyright', 'softgen' ),
                    'icon'   => 'fa fa-copyright',
                    'fields' => array(

                        array(
                            'id'         => 'copyright_text',
                            'type'       => 'textarea',
                            'title'      => esc_html__( 'Copyright Text', 'softgen' ),
                            'subtitle'   => esc_html__( 'You can add your copyright text from here.', 'softgen' ),
                            'attributes' => array(
                                'rows'        => 4,
                                'placeholder' => esc_html__( 'Copyright text...', 'softgen' ),
                            ),
                        ),

                        array(
                            'id'                       => 'footer-copyright-bg',
                            'type'                     => 'background',
                            'title'                    => esc_html__( 'Background Color', 'softgen' ),
                            'subtitle'                 => esc_html__( 'You can change background color using this option.', 'softgen' ),
                            'background_blend_mode'    => false,
                            'background_image_preview' => true,
                        ),

                        array(
                            'id'     => 'footer-txt-color',
                            'type'   => 'color',
                            'title'  => esc_html__( 'Text Color', 'softgen' ),
                            'subtitle' => esc_html__( 'You can change footer text color using this color picker.', 'softgen' ),
                        ),

                        array(
                            'id'     => 'footer-txt-link-color',
                            'type'   => 'color',
                            'title'  => esc_html__( 'Text Hover Color', 'softgen' ),
                            'subtitle' => esc_html__( 'You can change footer text hover color using this color picker.', 'softgen' ),
                        ),

                        array(
                            'id'       => 'footer-copyright-bd',
                            'type'     => 'border',
                            'title'    => esc_html__( 'Border', 'softgen' ),
                            'subtitle' => esc_html__( 'You can set top/bottom border from here.', 'softgen' ),
                            'left'     => false,
                            'right'    => false,
                        ),

                        array(
                            'id'       => 'footer-spacing-d',
                            'type'     => 'spacing',
                            'title'    => esc_html__( 'Spacing [Desktop]', 'softgen' ),
                            'subtitle' => esc_html__( 'You can set spacing for desktop from here.', 'softgen' ),
                            'left'     => false,
                            'right'    => false,
                            'units'    => array( 'px', 'em' ),
                        ),

                        array(
                            'id'       => 'footer-spacing-t',
                            'type'     => 'spacing',
                            'title'    => esc_html__( 'Spacing [Tablet]', 'softgen' ),
                            'subtitle' => esc_html__( 'You can set spacing for tablet from here.', 'softgen' ),
                            'left'     => false,
                            'right'    => false,
                            'units'    => array( 'px', 'em' ),
                        ),

                        array(
                            'id'       => 'footer-spacing-m',
                            'type'     => 'spacing',
                            'title'    => esc_html__( 'Spacing [Mobile]', 'softgen' ),
                            'subtitle' => esc_html__( 'You can set spacing for mobile from here.', 'softgen' ),
                            'left'     => false,
                            'right'    => false,
                            'units'    => array( 'px', 'em' ),
                        ),

                    ),
                ),

            ),
        ),

    ),
) );
