<?php
defined( 'ABSPATH' ) || exit;
// Header Section
CSF::createSection( 'softgen_opt', array(
    'id'    => 'header_sec',
    'title' => esc_html__( 'Header', 'softgen' ),
    'icon'  => 'fa fa-heading',
) );

// General
CSF::createSection( 'softgen_opt', array(
    'parent' => 'header_sec',
    'title'  => esc_html__( 'General', 'softgen' ),
    'icon'   => 'fa fa-angle-double-right',
    'fields' => array(

        array(
            'type'    => 'subheading',
            'content' => esc_html__( 'General', 'softgen' ),
        ),

        array(
            'id'       => 'header_color_scheme',
            'type'     => 'button_set',
            'title'    => esc_html__( 'Header Color Scheme', 'softgen' ),
            'subtitle' => esc_html__( 'You can choose color scheme from this option.', 'softgen' ),
            'options'  => array(
                'white'  => esc_html__( 'White', 'softgen' ),
                'black' => esc_html__( 'Black', 'softgen' ),
            ),
            'default'  => 'black'
        ),

        array(
            'id'       => 'header_sticky',
            'type'     => 'button_set',
            'title'    => esc_html__( 'Sticky Header', 'softgen' ),
            'subtitle' => esc_html__( 'You can enbale or disable sticky header using this option.', 'softgen' ),
            'options'  => array(
                'enable'  => esc_html__( 'Enable', 'softgen' ),
                'disable' => esc_html__( 'Disable', 'softgen' ),
            ),
            'default'  => 'enable'
        ),

        array(
            'id'       => 'softgen_logo',
            'type'     => 'logo',
            'title'    => esc_html__( 'Logo', 'softgen' ),
            'subtitle' => esc_html__( 'You can upload your own logo from here.', 'softgen' ),
            'content'  => '<a href="' . esc_url( admin_url( '/customize.php?autofocus[section]=title_tagline' ) ) . '" target="_blank">' . esc_html__( 'Upload Logo', 'softgen' ) . '</a>',
        ),

        array(
            'id'                 => 'softgen_logo_width',
            'type'               => 'spacing',
            'title'              => esc_html__( 'Logo Width', 'softgen' ),
            'subtitle'           => esc_html__( 'You can increase or decrease logo width from here.', 'softgen' ),
            'left'               => false,
            'top_icon'           => '<i class="fa fa-desktop"></i>',
            'top_placeholder'    => esc_html__( 'Desktop', 'softgen' ),
            'right_icon'         => '<i class="fa fa-tablet"></i>',
            'right_placeholder'  => esc_html__( 'Tablet', 'softgen' ),
            'bottom_icon'        => '<i class="fa fa-mobile"></i>',
            'bottom_placeholder' => esc_html__( 'Mobile', 'softgen' ),
            'units'              => ['px', 'em'],
        ),

        array(
            'id'       => 'softgen_retina_logo',
            'type'     => 'logo',
            'title'    => esc_html__( 'Retina Logo', 'softgen' ),
            'subtitle' => esc_html__( 'You can upload your retina logo from here.', 'softgen' ),
            'content'  => '<a href="' . esc_url( admin_url( '/customize.php?autofocus[section]=title_tagline' ) ) . '" target="_blank">' . esc_html__( 'Upload Retina Logo', 'softgen' ) . '</a>',
        ),

        array(
            'id'       => 'softgen_sticky_logo',
            'type'     => 'logo',
            'title'    => esc_html__( 'Sticky Logo', 'softgen' ),
            'subtitle' => esc_html__( 'You can upload your sticky logo from here.', 'softgen' ),
            'content'  => '<a href="' . esc_url( admin_url( '/customize.php?autofocus[section]=title_tagline' ) ) . '" target="_blank">' . esc_html__( 'Upload Sticky Logo', 'softgen' ) . '</a>',
        ),

    ),
) );

// Header 1
CSF::createSection( 'softgen_opt', array(
    'parent' => 'header_sec',
    'title'  => esc_html__( 'Settings', 'softgen' ),
    'icon'   => 'fa fa-angle-double-right',
    'fields' => array(

        array(
            'type'    => 'heading',
            'content' => esc_html__( 'Header Settings', 'softgen' ),
        ),

        array(
            'id'       => 'header_btn',
            'type'     => 'button_set',
            'title'    => esc_html__( 'Header Button', 'softgen' ),
            'subtitle' => esc_html__( 'You can show/hide the header button using this option.', 'softgen' ),
            'options'  => array(
                'show' => esc_html__( 'Show', 'softgen' ),
                'hide' => esc_html__( 'Hide', 'softgen' ),
            ),
            'default'  => 'show',
        ),

        array(
            'id'          => 'header_btn_text',
            'type'        => 'text',
            'title'       => esc_html__( 'Button Text', 'softgen' ),
            'subtitle'    => esc_html__( 'You can enter the button text from this input box.', 'softgen' ),
            'placeholder' => esc_html__( 'Button text goes here...', 'softgen' ),
            'default'     => esc_html__( 'Get In Touch', 'softgen' ),
            'dependency'  => array( 'header_btn', '==', 'show' ),
        ),

        array(
            'id'          => 'header_btn_link',
            'type'        => 'text',
            'title'       => esc_html__( 'Button Link', 'softgen' ),
            'subtitle'    => esc_html__( 'You can enter the button link from this input box.', 'softgen' ),
            'placeholder' => esc_html__( 'Button link goes here...', 'softgen' ),
            'default'     => '',
            'dependency'  => array( 'header_btn|header_btn_text', '==|!=', 'show|' ),
        ),

        array(
            'id'         => 'header_btn_target',
            'type'       => 'select',
            'title'      => esc_html__( 'Button Target', 'softgen' ),
            'subtitle'   => esc_html__( 'The target attribute specifies where to open the linked document.', 'softgen' ),
            'options'    => array(
                '_blank' => esc_html__( 'Open in New Tab', 'softgen' ),
                '_self'  => esc_html__( 'Open in Current Tab', 'softgen' ),
            ),
            'default'    => '_blank',
            'dependency' => array( 'header_btn|header_btn_text', '==|!=', 'show|' ),
        ),

        array(
            'id'       => 'header_mobile_btn',
            'type'     => 'button_set',
            'title'    => esc_html__( 'Button Mobile Visibility', 'softgen' ),
            'subtitle' => esc_html__( 'You can show or hide the button for mobile using this option.', 'softgen' ),
            'options'  => array(
                'show' => esc_html__( 'Show', 'softgen' ),
                'hide' => esc_html__( 'Hide', 'softgen' ),
            ),
            'default'  => 'hide',
            'dependency' => array( 'header_btn|header_btn_text', '==|!=', 'show|' ),
        ),

        array(
            'type'    => 'subheading',
            'content' => esc_html__( 'Menu Sidebar', 'softgen' ),
        ),

        array(
            'id'       => 'menu_sidebar',
            'type'     => 'button_set',
            'title'    => esc_html__( 'Sidebar Visibility', 'softgen' ),
            'subtitle' => esc_html__( 'You can show/hide the menu sidebar using this option.', 'softgen' ),
            'options'  => array(
                'show' => esc_html__( 'Show', 'softgen' ),
                'hide' => esc_html__( 'Hide', 'softgen' ),
            ),
            'default'  => 'show',
        ),

        array(
            'id'           => 'menu_sidebar_logo',
            'type'         => 'upload',
            'title'        => esc_html__( 'Sidebar Visibility', 'softgen' ),
            'subtitle'     => esc_html__( 'You can upload a logo using this uploader which will show on the menu sidebar.', 'softgen' ),
            'library'      => 'image',
            'placeholder'  => esc_html__( 'Upload an logo...', 'softgen' ),
            'button_title' => esc_html__( 'Add Logo', 'softgen' ),
            'remove_title' => esc_html__( 'Remove Logo', 'softgen' ),
            'dependency'  => array( 'menu_sidebar', '==', 'show' ),
        ),

        array(
            'id'      => 'menu_sidebar_content',
            'type'    => 'textarea',
            'title'   => esc_html__( 'Sidebar Content', 'softgen' ),
            'default' => esc_html__( 'Everything your taxi business needs is already here! softgen, a theme made for taxi service companies.', 'softgen' ),
            'dependency'  => array( 'menu_sidebar', '==', 'show' ),
        ),

        array(
            'id'        => 'menu_sidebar_list',
            'type'      => 'group',
            'title'     => esc_html__( 'Sidebar List', 'softgen' ),
            'subtitle' => esc_html__( 'It will show on the menu sidebar.', 'softgen' ),
            'fields'    => array(
                array(
                    'id'    => 'label',
                    'type'  => 'text',
                    'title' => esc_html__( 'Label', 'softgen' ),
                ),
                array(
                    'id'    => 'content',
                    'type'  => 'text',
                    'title' => esc_html__( 'Content', 'softgen' ),
                ),
                array(
                    'id'       => 'highlight',
                    'type'     => 'button_set',
                    'title'    => esc_html__( 'Highlight Text', 'softgen' ),
                    'options'  => array(
                        'yes' => esc_html__( 'Yes', 'softgen' ),
                        'no' => esc_html__( 'No', 'softgen' ),
                    ),
                    'default'  => 'no',
                    'dependency'  => array( 'content', '!=', '' ),
                ),
            ),
            'default'   => array(
                array(
                    'label' => esc_html__( 'Call For Support:', 'softgen' ),
                    'content'  => esc_html__( '5267-214-392', 'softgen' ),
                    'highlight'  => 'yes'
                ),
                array(
                    'label' => esc_html__( 'You Can Find Us At:', 'softgen' ),
                    'content'  => esc_html__( 'Halk Street New York, USA - 2386', 'softgen' )
                ),
                array(
                    'label' => esc_html__( 'Email Now:', 'softgen' ),
                    'content'  => 'info.softgen@mail.com'
                )
            ),
            'dependency'  => array( 'menu_sidebar', '==', 'show' ),
            'max' => 5,
            'button_title' => esc_html__( 'Add New List', 'softgen' )
        ),

    ),
) );