<?php
defined( 'ABSPATH' ) || exit;
CSF::createSection( 'softgen_opt', array(
    'id'     => 'layout_section',
    'title'  => esc_html__( 'Theme Layout', 'softgen' ),
    'icon'   => 'fa fa-layer-group',
    'fields' => array(

        array(
            'type'    => 'subheading',
            'content' => esc_html__( 'Theme Layout', 'softgen' ),
        ),

        array(
            'id'       => 'layout_width',
            'type'     => 'button_set',
            'title'    => esc_html__( 'Layout Width', 'softgen' ),
            'subtitle' => esc_html__( 'You can choose theme container width from here.', 'softgen' ),
            'options'  => array(
                'container-fluid' => esc_html__( 'Full', 'softgen' ),
                'container'       => esc_html__( 'Container', 'softgen' ),
            ),
            'default'  => 'container',
        ),

        array(
            'id'       => 'theme_sidebar_layout',
            'type'     => 'select',
            'title'    => esc_html__( 'Sidebar Layout', 'softgen' ),
            'subtitle' => esc_html__( 'Choose sidebar layout from this select box.', 'softgen' ),
            'options'  => array(
                'no-sidebar'    => esc_html__( 'No Sidebar', 'softgen' ),
                'left-sidebar'  => esc_html__( 'Left Sidebar', 'softgen' ),
                'right-sidebar' => esc_html__( 'Right Sidebar', 'softgen' ),
            ),
            'default'  => 'right-sidebar',
        ),

        array(
            'id'         => 'theme_sidebar_widget',
            'type'       => 'select',
            'title'      => esc_html__( 'Select Sidebar', 'softgen' ),
            'subtitle'   => esc_html__( 'Select Sidebar area from this select box.', 'softgen' ),
            'options'    => array(
                'left-sidebar'  => esc_html__( 'Left Sidebar', 'softgen' ),
                'right-sidebar' => esc_html__( 'Right Sidebar', 'softgen' ),
                'footer-1'      => esc_html__( 'Footer 1', 'softgen' ),
                'footer-2'      => esc_html__( 'Footer 2', 'softgen' ),
                'footer-3'      => esc_html__( 'Footer 3', 'softgen' ),
                'footer-4'      => esc_html__( 'Footer 4', 'softgen' ),
            ),
            'default'    => 'right-sidebar',
            'dependency' => array( 'theme_sidebar_layout', '!=', 'no-sidebar' ),
        ),

    ),
) );
