<?php
defined('ABSPATH') || exit;
CSF::createSection('softgen_opt', array(
    'id'    => 'page_header_section',
    'title' => esc_html__('Page Banner', 'softgen'),
    'icon'  => 'fa fa-pager',
));

CSF::createSection('softgen_opt', array(
    'parent' => 'page_header_section',
    'title'  => esc_html__('Banner Options', 'softgen'),
    'icon'   => 'fa fa-angle-double-right',
    'fields' => array(

        array(
            'type'    => 'subheading',
            'content' => esc_html__('Banner Options', 'softgen'),
        ),

        array(
            'id'       => 'ph_visibility',
            'type'     => 'button_set',
            'title'    => esc_html__('Page Banner Visibility', 'softgen'),
            'subtitle' => esc_html__('You can show or hide page banner globally using this option.', 'softgen'),
            'options'  => array(
                'show' => esc_html__('Show', 'softgen'),
                'hide' => esc_html__('Hide', 'softgen'),
            ),
            'default'  => 'show',
        ),

        array(
            'id'        => 'ph_gradient_bg',
            'type'      => 'image_select',
            'title'    => esc_html__('Gradient Background', 'softgen'),
            'subtitle' => esc_html__('You can select gradient background from here.', 'softgen'),
            'options'   => array(
                'gradient-bg-1' => get_template_directory_uri() . '/assets/img/gradient/gradient-thumb-1.jpg',
                'gradient-bg-2' => get_template_directory_uri() . '/assets/img/gradient/gradient-thumb-2.jpg',
                'gradient-bg-3' => get_template_directory_uri() . '/assets/img/gradient/gradient-thumb-3.jpg',
                'gradient-bg-4' => get_template_directory_uri() . '/assets/img/gradient/gradient-thumb-4.jpg',
                'custom' => get_template_directory_uri() . '/assets/img/gradient/custom.jpg',
            ),
            'default'   => 'gradient-bg-1',
            'dependency'    => array('ph_visibility', '==', 'show')
        ),

        array(
            'id'                       => 'global_page_bg',
            'type'                     => 'background',
            'title'                    => esc_html__('Background Image', 'softgen'),
            'subtitle'                 => esc_html__('You can set the custom background image using this option.', 'softgen'),
            'background_blend_mode'    => false,
            'background_image_preview' => true,
            'dependency'               => array('ph_visibility|ph_gradient_bg', '==|==', 'show|custom')
        ),

        array(
            'id'         => 'ph_text_align',
            'type'       => 'button_set',
            'title'      => esc_html__('Text Alignment', 'softgen'),
            'subtitle'   => esc_html__('You can change the text alignment using this option.', 'softgen'),
            'options'    => array(
                'left'   => esc_html__('Left', 'softgen'),
                'center' => esc_html__('Center', 'softgen'),
                'right'  => esc_html__('Right', 'softgen'),
            ),
            'default'    => 'left',
            'dependency' => array('ph_visibility', '==', 'show'),
        ),

        array(
            'id'         => 'ph_lines',
            'type'       => 'button_set',
            'title'      => esc_html__('Lines', 'softgen'),
            'subtitle'   => esc_html__('You can show or hide page banner lines using this option.', 'softgen'),
            'options'    => array(
                'show'  => esc_html__('Show', 'softgen'),
                'hide' => esc_html__('Hide', 'softgen'),
            ),
            'default'    => 'show',
            'dependency' => array('ph_visibility', '==', 'show'),
        ),

        array(
            'id'         => 'ph_animated_dots',
            'type'       => 'button_set',
            'title'      => esc_html__('Animated Dots', 'softgen'),
            'subtitle'   => esc_html__('You can show or hide page banner animated dots using this option.', 'softgen'),
            'options'    => array(
                'show'  => esc_html__('Show', 'softgen'),
                'hide' => esc_html__('Hide', 'softgen'),
            ),
            'default'    => 'show',
            'dependency' => array('ph_visibility', '==', 'show'),
        ),

        array(
            'type'       => 'subheading',
            'content'    => esc_html__('Archive Page', 'softgen'),
            'dependency' => array('ph_visibility', '==', 'show'),
        ),

        array(
            'id'         => 'ph_archive_desc',
            'type'       => 'button_set',
            'title'      => esc_html__('Description', 'softgen'),
            'subtitle'   => esc_html__('You can hide description from the page banner for archive page', 'softgen'),
            'options'    => array(
                'show' => esc_html__('Show', 'softgen'),
                'hide' => esc_html__('Hide', 'softgen'),
            ),
            'default'    => 'show',
            'dependency' => array('ph_visibility', '==', 'show'),
        ),

        array(
            'id'                       => 'ph_archive_page_bg',
            'type'                     => 'background',
            'title'                    => esc_html__('Background Image', 'softgen'),
            'subtitle'                 => esc_html__('You can change the archive page banner background image using this option.', 'softgen'),
            'background_blend_mode'    => false,
            'background_image_preview' => true,
            'dependency'               => array('ph_visibility', '==', 'show'),
        ),

        array(
            'type'       => 'subheading',
            'content'    => esc_html__('Search Page', 'softgen'),
            'dependency' => array('ph_visibility', '==', 'show'),
        ),

        array(
            'id'                       => 'ph_search_page_bg',
            'type'                     => 'background',
            'title'                    => esc_html__('Background Image', 'softgen'),
            'subtitle'                 => esc_html__('You can change the search page banner background image using this option.', 'softgen'),
            'background_blend_mode'    => false,
            'background_image_preview' => true,
            'dependency'               => array('ph_visibility', '==', 'show'),
        ),

        array(
            'type'       => 'subheading',
            'content'    => esc_html__('Author Page', 'softgen'),
            'dependency' => array('ph_visibility', '==', 'show'),
        ),

        array(
            'id'                       => 'ph_author_page_bg',
            'type'                     => 'background',
            'title'                    => esc_html__('Background Image', 'softgen'),
            'subtitle'                 => esc_html__('You can change the author page banner background image using this option.', 'softgen'),
            'background_blend_mode'    => false,
            'background_image_preview' => true,
            'dependency'               => array('ph_visibility', '==', 'show'),
        ),

        array(
            'id'         => 'ph_custom_style',
            'type'       => 'button_set',
            'title'      => esc_html__('Custom Style', 'softgen'),
            'subtitle'   => esc_html__('To enable this option you can customize the colors and typography of the page banner elements.', 'softgen'),
            'options'    => array(
                'yes' => esc_html__('Yes', 'softgen'),
                'no'  => esc_html__('No', 'softgen'),
            ),
            'default'    => 'no',
            'dependency' => array('ph_visibility', '==', 'show'),
        ),

        array(
            'id'         => 'ph_custom_style_tab',
            'type'       => 'tabbed',
            'dependency' => array('ph_visibility|ph_custom_style', '==|==', 'show|yes'),
            'tabs'       => array(

                // Subtitle style controls
                array(
                    'title'  => esc_html__('Subtitle', 'softgen'),
                    'icon'   => 'fas fa-indent',
                    'fields' => array(

                        array(
                            'id'      => 'ph_subtitle_shape_color',
                            'type'    => 'color',
                            'title'   => esc_html__('Shape Color', 'softgen'),
                            'subtitle'   => esc_html__('You can change the subtitle shape color from here.', 'softgen'),
                        ),

                        array(
                            'id'         => 'ph_subtitle_typography',
                            'type'       => 'typography',
                            'title'      => esc_html__('Typography', 'softgen'),
                            'text_align' => false,
                            'color'      => false,
                            'subset'     => false,
                            'subtitle'   => esc_html__('You can change the subtitle typography from here.', 'softgen'),
                        ),

                        array(
                            'id'                    => 'ph_subtitle_color',
                            'type'                  => 'background',
                            'title'                 => esc_html__('Text Color', 'softgen'),
                            'subtitle'              => esc_html__('You can customize the text color using this option.', 'softgen'),
                            'background_gradient'   => true,
                            'background_image'      => false,
                            'background_position'   => false,
                            'background_repeat'     => false,
                            'background_attachment' => false,
                            'background_size'       => false,
                        ),

                    ),
                ),

                // Title style controls
                array(
                    'title'  => esc_html__('Title', 'softgen'),
                    'icon'   => 'fas fa-heading',
                    'fields' => array(

                        array(
                            'id'         => 'ph_title_typography',
                            'type'       => 'typography',
                            'title'      => esc_html__('Typography', 'softgen'),
                            'text_align' => false,
                            'subset'     => false,
                            'subtitle'   => esc_html__('You can change the title typography from here.', 'softgen'),
                        ),

                        array(
                            'id'                    => 'ph_title_hl_color',
                            'type'                  => 'background',
                            'title'                 => esc_html__('Highlighted Text Color', 'softgen'),
                            'subtitle'              => esc_html__('You can customize the highlighted text color using this option.', 'softgen'),
                            'background_gradient'   => true,
                            'background_image'      => false,
                            'background_position'   => false,
                            'background_repeat'     => false,
                            'background_attachment' => false,
                            'background_size'       => false,
                        ),

                    ),
                ),

                // Description style controls
                array(
                    'title'  => esc_html__('Description', 'softgen'),
                    'icon'   => 'fa fa-paragraph',
                    'fields' => array(

                        array(
                            'id'         => 'ph_desc_typography',
                            'type'       => 'typography',
                            'title'      => esc_html__('Typography', 'softgen'),
                            'text_align' => false,
                            'subset'     => false,
                            'subtitle'   => esc_html__('You can change the description typography from here.', 'softgen'),
                        ),

                    ),
                ),

            ),
        ),

    ),
));

// Breadcrumbs
CSF::createSection('softgen_opt', array(
    'parent' => 'page_header_section',
    'title'  => esc_html__('Breadcrumbs', 'softgen'),
    'icon'   => 'fa fa-angle-double-right',
    'fields' => array(

        array(
            'type'    => 'subheading',
            'content' => esc_html__('Breadcrumbs', 'softgen'),
        ),

        array(
            'id'       => 'ph_breadcrumbs',
            'type'     => 'button_set',
            'title'    => esc_html__('Breadcrumbs', 'softgen'),
            'subtitle' => esc_html__('You can show or hide breadcrumbs from the page banner using this option.', 'softgen'),
            'options'  => array(
                'show' => esc_html__('Show', 'softgen'),
                'hide' => esc_html__('Hide', 'softgen'),
            ),
            'default'  => 'hide'
        ),

        array(
            'title'      => esc_html__('Home Text', 'softgen'),
            'subtitle'   => esc_html__('You can change breadcrumbs home text from here.', 'softgen'),
            'id'         => 'breadcrumbs_home_text',
            'type'       => 'text',
            'default'    => esc_html__('Home', 'softgen'),
            'attributes' => array(
                'placeholder' => esc_html__('Home text...', 'softgen'),
            ),
            'dependency' => array('ph_breadcrumbs', '==', 'show'),
        ),

        array(
            'id'         => 'breadcrumbs_custom_style',
            'type'       => 'button_set',
            'title'      => esc_html__('Custom Style', 'softgen'),
            'subtitle'   => esc_html__('To enable this option you can customize the colors and typography of the breadcrumbs.', 'softgen'),
            'options'    => array(
                'yes' => esc_html__('Yes', 'softgen'),
                'no'  => esc_html__('No', 'softgen'),
            ),
            'default'    => 'no',
            'dependency' => array('ph_breadcrumbs', '==', 'show'),
        ),

        array(
            'id'         => 'ph_breadcrumbs_sep',
            'type'       => 'color',
            'title'      => esc_html__('Separator Color', 'softgen'),
            'subtitle'   => esc_html__('You can pick breadcrumb separator color using this color picker.', 'softgen'),
            'dependency' => array('ph_breadcrumbs|breadcrumbs_custom_style', '==|==', 'show|yes'),
        ),

        array(
            'id'         => 'ph_breadcrumbs_typography',
            'type'       => 'typography',
            'title'      => esc_html__('Typography', 'softgen'),
            'text_align' => false,
            'subset'     => false,
            'subtitle'   => esc_html__('You can change the breadcrumbs typography from here.', 'softgen'),
            'dependency' => array('ph_breadcrumbs|breadcrumbs_custom_style', '==|==', 'show|yes'),
        ),

        array(
            'id'         => 'ph_breadcrumbs_active',
            'type'       => 'color',
            'title'      => esc_html__('Active Color', 'softgen'),
            'subtitle'   => esc_html__('You can pcik breadcrumb active color using this color picker.', 'softgen'),
            'dependency' => array('ph_breadcrumbs|breadcrumbs_custom_style', '==|==', 'show|yes'),
        ),

    ),
));
