<?php
defined( 'ABSPATH' ) || exit;

// Page
CSF::createSection( 'softgen_opt', array(
    'id' => 'page_section',
    'title'  => esc_html__( 'Page', 'softgen' ),
    'icon'   => 'fa fa-file',
    'fields' => array(

        array(
            'type'    => 'subheading',
            'content' => esc_html__( 'Page Settings', 'softgen' ),
        ),

        array(
            'id'      => 'page_edit_link',
            'type'    => 'button_set',
            'title'   => esc_html__( 'Page Edit Link', 'softgen' ),
            'subtitle'    => esc_html__( 'You can show or hide page edit link from the page while user logged-in.', 'softgen' ),
            'options' => array(
                'show'  => esc_html__( 'Show', 'softgen' ),
                'hide' => esc_html__( 'Hide', 'softgen' ),
            ),
            'default' => 'show',
        ),

        array(
            'id'      => 'page_comments_box',
            'type'    => 'button_set',
            'title'   => esc_html__( 'Comments', 'softgen' ),
            'subtitle'    => esc_html__( 'You can show or hide comment box from the page.', 'softgen' ),
            'options' => array(
                'show'  => esc_html__( 'Show', 'softgen' ),
                'hide' => esc_html__( 'Hide', 'softgen' ),
            ),
            'default' => 'show',
        ),

        array(
            'id'      => 'page_social_share',
            'type'    => 'button_set',
            'title'   => esc_html__( 'Social Share Buttons', 'softgen' ),
            'subtitle'    => esc_html__( 'You can show or hide social share buttons from the page.', 'softgen' ),
            'options' => array(
                'show'  => esc_html__( 'Show', 'softgen' ),
                'hide' => esc_html__( 'Hide', 'softgen' ),
            ),
            'default' => 'hide',
        ),
        
    ),
) );