<?php
defined( 'ABSPATH' ) || exit;
CSF::createSection( 'softgen_opt', array(
    'id'    => 'styles_section',
    'title' => esc_html__( 'Custom Styles', 'softgen' ),
    'icon'  => 'fa fa-paint-brush',
) );

// Global Color
CSF::createSection( 'softgen_opt', array(
    'parent' => 'styles_section',
    'title'  => esc_html__( 'Global Colors', 'softgen' ),
    'icon'   => 'fa fa-angle-double-right',
    'fields' => array(

        array(
            'type'    => 'subheading',
            'content' => esc_html__( 'Global Colors', 'softgen' ),
        ),

        array(
            'id'       => 'primary_color_style',
            'type'     => 'button_set',
            'title'    => esc_html__( 'Custom Global Colors', 'softgen' ),
            'subtitle' => esc_html__( 'You can customize the color of the theme by enable this option.', 'softgen' ),
            'options'  => array(
                'yes' => esc_html__( 'Yes', 'softgen' ),
                'no'  => esc_html__( 'No', 'softgen' ),
            ),
            'default'  => 'no',
        ),

        array(
            'id'         => 'primary_color',
            'type'       => 'color',
            'title'      => esc_html__( 'Primary Color', 'softgen' ),
            'default'    => '#4b83ff',
            'subtitle'   => esc_html__( 'You can change the primary color of the theme using this option.', 'softgen' ),
            'dependency' => array( 'primary_color_style', '==', 'yes' ),
        ),

        array(
            'id'         => 'secondary_color',
            'type'       => 'color',
            'title'      => esc_html__( 'Secondary Color', 'softgen' ),
            'default'    => '#089fac',
            'subtitle'   => esc_html__( 'You can change the secondary color of the theme using this option.', 'softgen' ),
            'dependency' => array( 'primary_color_style', '==', 'yes' ),
        ),

        array(
            'id'         => 'global_base_color',
            'type'       => 'color',
            'title'      => esc_html__( 'Base Color', 'softgen' ),
            'default'    => '#5d6374',
            'subtitle'   => esc_html__( 'You can change the base color of the theme using this option.', 'softgen' ),
            'dependency' => array( 'primary_color_style', '==', 'yes' ),
        ),

        array(
            'id'         => 'global_heading_color',
            'type'       => 'color',
            'title'      => esc_html__( 'Heading Color', 'softgen' ),
            'default'    => '#191d28',
            'subtitle'   => esc_html__( 'You can change the heading color of the theme using this option.', 'softgen' ),
            'dependency' => array( 'primary_color_style', '==', 'yes' ),
        ),

        array(
            'id'         => 'global_light_grey_color',
            'type'       => 'color',
            'title'      => esc_html__( 'Light Grey Color', 'softgen' ),
            'default'    => '#b8b8b8',
            'subtitle'   => esc_html__( 'You can change the light grey color of the theme using this option.', 'softgen' ),
            'dependency' => array( 'primary_color_style', '==', 'yes' ),
        ),

        array(
            'type'    => 'subheading',
            'content' => esc_html__( 'Background Colors', 'softgen' ),
            'dependency' => array( 'primary_color_style', '==', 'yes' ),
        ),

        array(
            'id'         => 'global_primary_bg_color',
            'type'       => 'color',
            'title'      => esc_html__( 'Primary Background Color', 'softgen' ),
            'default'    => 'rgba(255, 106, 50, 0.7)',
            'subtitle'   => esc_html__( 'You can change the primary background color of the theme using this option.', 'softgen' ),
            'dependency' => array( 'primary_color_style', '==', 'yes' ),
        ),

        array(
            'id'         => 'global_secondary_bg_color',
            'type'       => 'color',
            'title'      => esc_html__( 'Secondary Background Color', 'softgen' ),
            'default'    => 'rgba(8, 159, 172, 0.6)',
            'subtitle'   => esc_html__( 'You can change the secondary background color of the theme using this option.', 'softgen' ),
            'dependency' => array( 'primary_color_style', '==', 'yes' ),
        ),

        array(
            'id'         => 'global_dark_bg_color',
            'type'       => 'color',
            'title'      => esc_html__( 'Dark Background', 'softgen' ),
            'default'    => '#110718',
            'subtitle'   => esc_html__( 'You can change the dark background color of the theme using this option.', 'softgen' ),
            'dependency' => array( 'primary_color_style', '==', 'yes' ),
        ),

        array(
            'id'         => 'global_dark_light_bg_color',
            'type'       => 'color',
            'title'      => esc_html__( 'Dark Light Background', 'softgen' ),
            'default'    => '#F3F7FE',
            'subtitle'   => esc_html__( 'You can change the dark light background color of the theme using this option.', 'softgen' ),
            'dependency' => array( 'primary_color_style', '==', 'yes' ),
        ),

        array(
            'id'         => 'custom_gradient_color',
            'type'       => 'button_set',
            'title'      => esc_html__( 'Custom Gradient Color', 'softgen' ),
            'subtitle'   => esc_html__( 'Enable to change the gradient color.', 'softgen' ),
            'options'    => array(
                'yes' => esc_html__( 'Yes', 'softgen' ),
                'no'  => esc_html__( 'No', 'softgen' ),
            ),
            'default'    => 'no',
            'dependency' => array( 'primary_color_style', '==', 'yes' ),
        ),

        array(
            'id'                    => 'gradient_solid_color',
            'type'                  => 'background',
            'title'                 => esc_html__( 'Gradient Color', 'softgen' ),
            'subtitle'              => esc_html__( 'You can change gradient colors using this option.', 'softgen' ),
            'background_gradient'   => true,
            'background_image'      => false,
            'background_position'   => false,
            'background_repeat'     => false,
            'background_attachment' => false,
            'background_size'       => false,
            'dependency'            => array( 'primary_color_style|custom_gradient_color', '==|==', 'yes|yes' ),
        ),

        array(
            'id'                    => 'gradient_transparent_color',
            'type'                  => 'background',
            'title'                 => esc_html__( 'Gradient Transparent Color', 'softgen' ),
            'subtitle'              => esc_html__( 'You can change gradient transparent colors using this option.', 'softgen' ),
            'background_gradient'   => true,
            'background_image'      => false,
            'background_position'   => false,
            'background_repeat'     => false,
            'background_attachment' => false,
            'background_size'       => false,
            'dependency'            => array( 'primary_color_style|custom_gradient_color', '==|==', 'yes|yes' ),
        ),

    ),
) );

// Pagination
CSF::createSection( 'softgen_opt', array(
    'parent' => 'styles_section',
    'title'  => esc_html__( 'Pagination', 'softgen' ),
    'icon'   => 'fa fa-angle-double-right',
    'fields' => array(

        array(
            'type'    => 'subheading',
            'content' => esc_html__( 'Pagination', 'softgen' ),
        ),

        array(
            'id'       => 'pagination_custom_style',
            'type'     => 'button_set',
            'title'    => esc_html__( 'Custom Style', 'softgen' ),
            'subtitle' => esc_html__( 'You can customize the color and typography of the pagination by enable this option.', 'softgen' ),
            'options'  => array(
                'yes' => esc_html__( 'Yes', 'softgen' ),
                'no'  => esc_html__( 'No', 'softgen' ),
            ),
            'default'  => 'no',
        ),

        array(
            'id'         => 'pagi_alignment',
            'type'       => 'button_set',
            'title'      => esc_html__( 'Alignment', 'softgen' ),
            'subtitle'   => esc_html__( 'You can customize the pagination alignment using this option.', 'softgen' ),
            'options'    => array(
                'flex-start' => esc_html__( 'Left', 'softgen' ),
                'center'     => esc_html__( 'Center', 'softgen' ),
                'flex-end'   => esc_html__( 'Right', 'softgen' ),
            ),
            'default'    => 'flex-start',
            'dependency' => array( 'pagination_custom_style', '==', 'yes' ),
        ),

        array(
            'id'         => 'pagi_spacing',
            'type'       => 'spacing',
            'title'      => esc_html__( 'Top/Bottom Margin', 'softgen' ),
            'subtitle'   => esc_html__( 'You can customize the pagination top/bottom margin using this option.', 'softgen' ),
            'right'      => false,
            'left'       => false,
            'dependency' => array( 'pagination_custom_style', '==', 'yes' ),
        ),

        array(
            'id'         => 'pagi_styles',
            'type'       => 'tabbed',
            'title'      => '',
            'dependency' => array( 'pagination_custom_style', '==', 'yes' ),
            'tabs'       => array(

                array(
                    'title'  => esc_html__( 'Normal', 'softgen' ),
                    'icon'   => '',
                    'fields' => array(

                        array(
                            'id'                    => 'bg_normal',
                            'type'                  => 'background',
                            'title'                 => esc_html__( 'Background', 'softgen' ),
                            'subtitle'              => esc_html__( 'You can customize the pagination background color using this option.', 'softgen' ),
                            'background_gradient'   => true,
                            'background_image'      => false,
                            'background_position'   => false,
                            'background_repeat'     => false,
                            'background_attachment' => false,
                            'background_size'       => false,
                        ),

                        array(
                            'id'         => 'typography',
                            'type'       => 'typography',
                            'title'      => esc_html__( 'Typography', 'softgen' ),
                            'subtitle'   => esc_html__( 'You can customize the pagination typography using this option.', 'softgen' ),
                            'text_align' => false,
                            'subset'     => false,
                        ),

                        array(
                            'id'       => 'space_between_item',
                            'type'     => 'slider',
                            'title'    => esc_html__( 'Space Between', 'softgen' ),
                            'subtitle' => esc_html__( 'You can customize the pagination space between item using this option.', 'softgen' ),
                            'min'      => 0,
                            'max'      => 50,
                            'step'     => 1,
                            'unit'     => 'px',
                        ),

                    ),
                ),

                array(
                    'title'  => esc_html__( 'Hover', 'softgen' ),
                    'icon'   => '',
                    'fields' => array(

                        array(
                            'id'                    => 'bg_hover',
                            'type'                  => 'background',
                            'title'                 => esc_html__( 'Background', 'softgen' ),
                            'subtitle'              => esc_html__( 'You can customize the pagination hover background color using this option.', 'softgen' ),
                            'background_gradient'   => true,
                            'background_image'      => false,
                            'background_position'   => false,
                            'background_repeat'     => false,
                            'background_attachment' => false,
                            'background_size'       => false,
                        ),

                        array(
                            'id'       => 'hover_color',
                            'type'     => 'color',
                            'title'    => esc_html__( 'Hover Color', 'softgen' ),
                            'subtitle' => esc_html__( 'You can customize pagination hover text color using this option.', 'softgen' ),
                        ),

                    ),
                ),

            ),
        ),

    ),
) );