<?php
defined( 'ABSPATH' ) || exit;
// Shop Section
CSF::createSection( 'softgen_opt', array(
    'id'    => 'woocommerce_sec',
    'title' => esc_html__( 'Shop', 'softgen' ),
    'icon'  => 'fa fa-shopping-cart',
) );

// Shop Layout
CSF::createSection( 'softgen_opt', array(
    'parent' => 'woocommerce_sec',
    'title'  => esc_html__( 'Layout', 'softgen' ),
    'icon'   => 'fa fa-angle-double-right',
    'fields' => array(

        array(
            'type'    => 'subheading',
            'content' => esc_html__( 'Shop Layout', 'softgen' ),
        ),

        array(
            'id'       => 'woo_layout',
            'type'     => 'button_set',
            'title'    => esc_html__( 'Layout', 'softgen' ),
            'subtitle' => esc_html__( 'You can choose WooCommerce page layout style from here.', 'softgen' ),
            'options'  => array(
                'left'  => esc_html__( 'Left Sidebar', 'softgen' ),
                'right' => esc_html__( 'Right Sidebar', 'softgen' ),
                'no'    => esc_html__( 'No Sidebar', 'softgen' ),
            ),
            'default'  => 'right',
        ),

    ),
) );

// Shop Page Header
CSF::createSection( 'softgen_opt', array(
    'parent' => 'woocommerce_sec',
    'title'  => esc_html__( 'Page Header', 'softgen' ),
    'icon'   => 'fa fa-angle-double-right',
    'fields' => array(

        array(
            'type'    => 'subheading',
            'content' => esc_html__( 'Shop Page Header', 'softgen' ),
        ),

        array(
            'id'       => 'woo_php_bg',
            'type'     => 'background',
            'title'    => esc_html__( 'Background', 'softgen' ),
            'subtitle' => esc_html__( 'You can set page header custom background from here.', 'softgen' ),
        ),

        array(
            'id'       => 'woo_product_ph_bg',
            'type'     => 'button_set',
            'title'    => esc_html__( 'Product Page Background', 'softgen' ),
            'subtitle' => esc_html__( 'You can show product image as a page header background by choosing product image.', 'softgen' ),
            'options'  => array(
                'product' => esc_html__( 'Product Image', 'softgen' ),
                'default' => esc_html__( 'Default', 'softgen' ),
            ),
            'default'  => 'default',
        ),

    ),
) );

// Shop Cart
CSF::createSection( 'softgen_opt', array(
    'parent' => 'woocommerce_sec',
    'title'  => esc_html__( 'Header Cart', 'softgen' ),
    'icon'   => 'fa fa-angle-double-right',
    'fields' => array(

        array(
            'type'    => 'subheading',
            'content' => esc_html__( 'Header Cart', 'softgen' ),
        ),

        array(
            'id'       => 'woo_cart',
            'type'     => 'button_set',
            'title'    => esc_html__( 'Header Cart', 'softgen' ),
            'subtitle' => esc_html__( 'You can control WooCommerce header cart visibility option from this select box.', 'softgen' ),
            'options'  => array(
                'disable' => esc_html__( 'Disable', 'softgen' ),
                'all'     => esc_html__( 'All Pages', 'softgen' ),
                'woo'     => esc_html__( 'WooCommerce Pages', 'softgen' ),
            ),
            'default'  => 'all',
        ),

        array(
            'id'         => 'woo_title',
            'type'       => 'text',
            'title'      => esc_html__( 'Aside Cart Title', 'softgen' ),
            'title'      => esc_html__( 'Aside Cart Title', 'softgen' ),
            'subtitle'   => esc_html__( 'You can change aside cart title using this field.', 'softgen' ),
            'default'    => esc_html__( 'Shopping Cart', 'softgen' ),
            'dependency' => array( 'woo_cart', '!=', 'disable' ),
        ),

    ),
) );

// Shop Related Products
CSF::createSection( 'softgen_opt', array(
    'parent' => 'woocommerce_sec',
    'title'  => esc_html__( 'Related Products', 'softgen' ),
    'icon'   => 'fa fa-angle-double-right',
    'fields' => array(

        array(
            'type'    => 'subheading',
            'content' => esc_html__( 'Related Products', 'softgen' ),
        ),

        array(
            'id'         => 'woo_rp_visibility',
            'type'       => 'switcher',
            'title'      => esc_html__( 'Related Products', 'softgen' ),
            'subtitle'   => esc_html__( 'You can enable/disable related products section from product details page using this option.', 'softgen' ),
            'default'    => true,
            'text_on'    => esc_html__( 'Enabled', 'softgen' ),
            'text_off'   => esc_html__( 'Disabled', 'softgen' ),
            'text_width' => 95,
        ),

        array(
            'id'         => 'woo_rp_text',
            'type'       => 'text',
            'title'      => esc_html__( 'Related Products Title', 'softgen' ),
            'subtitle'   => esc_html__( 'You can change related products section title using this text field.', 'softgen' ),
            'default'    => esc_html__( 'Related Products', 'softgen' ),
            'dependency' => array( 'woo_rp_visibility', '==', true ),
        ),

        array(
            'id'         => 'woo_rp_limit',
            'type'       => 'slider',
            'title'      => esc_html__( 'Products Limit', 'softgen' ),
            'subtitle'   => esc_html__( 'You can control related products limit using option.', 'softgen' ),
            'min'        => 1,
            'max'        => 12,
            'step'       => 1,
            'default'    => 4,
            'dependency' => array( 'woo_rp_visibility', '==', true ),
        ),

        array(
            'id'         => 'woo_rp_col',
            'type'       => 'slider',
            'title'      => esc_html__( 'Column Layout', 'softgen' ),
            'subtitle'   => esc_html__( 'You can choose column layout using option.', 'softgen' ),
            'min'        => 2,
            'max'        => 5,
            'step'       => 1,
            'default'    => 4,
            'dependency' => array( 'woo_rp_visibility', '==', true ),
        ),

    ),
) );

// Shop Cart
CSF::createSection( 'softgen_opt', array(
    'parent' => 'woocommerce_sec',
    'title'  => esc_html__( 'Social Share', 'softgen' ),
    'icon'   => 'fa fa-angle-double-right',
    'fields' => array(

        array(
            'type'    => 'subheading',
            'content' => esc_html__( 'Social Share', 'softgen' ),
        ),

        array(
            'id'         => 'woo_social_share',
            'type'       => 'switcher',
            'title'      => esc_html__( 'Social Share', 'softgen' ),
            'subtitle'   => esc_html__( 'You can enable/disable social share buttons from product page using this option.', 'softgen' ),
            'default'    => true,
            'text_on'    => esc_html__( 'Enabled', 'softgen' ),
            'text_off'   => esc_html__( 'Disabled', 'softgen' ),
            'text_width' => 95,
        ),

        array(
            'id'         => 'woo_social_fb',
            'type'       => 'switcher',
            'title'      => esc_html__( 'Fcebook', 'softgen' ),
            'subtitle'   => esc_html__( 'Enable/Disable Fcebook social share button using this option.', 'softgen' ),
            'default'    => true,
            'text_on'    => esc_html__( 'Enabled', 'softgen' ),
            'text_off'   => esc_html__( 'Disabled', 'softgen' ),
            'dependency' => array( 'woo_social_share', '==', true ),
            'text_width' => 95,
        ),

        array(
            'id'         => 'woo_social_tw',
            'type'       => 'switcher',
            'title'      => esc_html__( 'Twitter', 'softgen' ),
            'subtitle'   => esc_html__( 'Enable/Disable Twitter social share button using this option.', 'softgen' ),
            'default'    => true,
            'text_on'    => esc_html__( 'Enabled', 'softgen' ),
            'text_off'   => esc_html__( 'Disabled', 'softgen' ),
            'dependency' => array( 'woo_social_share', '==', true ),
            'text_width' => 95,
        ),

        array(
            'id'         => 'woo_social_pin',
            'type'       => 'switcher',
            'title'      => esc_html__( 'Pinterest', 'softgen' ),
            'subtitle'   => esc_html__( 'Enable/Disable Pinterest social share button using this option.', 'softgen' ),
            'default'    => true,
            'text_on'    => esc_html__( 'Enabled', 'softgen' ),
            'text_off'   => esc_html__( 'Disabled', 'softgen' ),
            'dependency' => array( 'woo_social_share', '==', true ),
            'text_width' => 95,
        ),

        array(
            'id'         => 'woo_social_linkedin',
            'type'       => 'switcher',
            'title'      => esc_html__( 'Linkedin', 'softgen' ),
            'subtitle'   => esc_html__( 'Enable/Disable Linkedin social share button using this option.', 'softgen' ),
            'default'    => true,
            'text_on'    => esc_html__( 'Enabled', 'softgen' ),
            'text_off'   => esc_html__( 'Disabled', 'softgen' ),
            'dependency' => array( 'woo_social_share', '==', true ),
            'text_width' => 95,
        ),

    ),
) );