<?php
/**
 * Register the required plugins.
 */

/**
 * Include the TGM_Plugin_Activation class.
 */
require_once get_template_directory() . '/inc/tgm/class-tgm-plugin-activation.php';

add_action( 'tgmpa_register', 'softgen_register_required_plugins' );

/**
 * Register the required plugins for this theme.
 */
function softgen_register_required_plugins() {

    $plugins = array(

        // softgen
        array(
            'name'               => 'Softgen Core',
            'slug'               => 'softgen-core',
            'source'             => 'https://assets.dynamiclayers.net/plugins/softgen/softgen-core-v1.0.1.zip',
            'required'           => true,
            'version'            => '1.0.1',
            'force_activation'   => false,
            'force_deactivation' => false,
        ),

        // Advanced Custom Fields Pro
        array(
            'name'               => 'Advanced Custom Fields Pro',
            'slug'               => 'advanced-custom-fields-pro',
            'source'             => 'https://assets.dynamiclayers.net/acf-pro/advanced-custom-fields-pro-v6.3.1.2.zip',
            'required'           => true,
            'version'            => '6.3.1.2',
            'force_activation'   => false,
            'force_deactivation' => false,
        ),

        // Elementor Page Builder
        array(
            'name'             => 'Elementor Page Builder',
            'slug'             => 'elementor',
            'required'         => true,
            'force_activation' => false,
        ),

        // One Click Demo Import
        array(
            'name'             => 'One Click Demo Import',
            'slug'             => 'one-click-demo-import',
            'required'         => true,
            'force_activation' => false,
        ),

        // Contact Form 7
        array(
            'name'             => 'Contact Form 7',
            'slug'             => 'contact-form-7',
            'required'         => true,
            'force_activation' => false,
        ),

        // Mailchimp for WordPress
        array(
            'name'     => 'Mailchimp for WordPress',
            'slug'     => 'mailchimp-for-wp',
            'required' => false,
        )

    );

    /*
     * Array of configuration settings. Amend each line as needed.
     */
    $config = array(
        'id'           => 'softgen',
        'default_path' => '',
        'menu'         => 'softgen-install-plugins',
        'has_notices'  => true,
        'dismissable'  => true,
        'dismiss_msg'  => '',
        'is_automatic' => false,
        'message'      => '',
    );

    tgmpa( $plugins, $config );
}
