<?php
$softgen_woo_social_share = softgen_get_option( 'woo_social_share', '1' );
// Remove WooCommerce Breadcrumb
remove_action( 'woocommerce_before_main_content', 'woocommerce_breadcrumb', 20, 0 );
remove_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_add_to_cart', 10, 0 );
remove_action( 'woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_rating', 5, 0 );
add_action( 'woocommerce_before_shop_loop_item_title', 'woocommerce_template_loop_add_to_cart', 10, 0 );
add_action('softgen_shop_header_breadcrumb', 'woocommerce_breadcrumb', 10, 0 );
add_action('softgen_shop_header_breadcrumb', 'woocommerce_template_single_excerpt', 5, 0 );

function softgen_single_product_meta() {
    echo '<div class="meta-wrap">';
        echo SoftgenHelper::get_terms('product_cat');
        wc_get_template( 'loop/rating.php' );
    echo '</div>';
}
add_action('softgen_product_meta', 'softgen_single_product_meta' );

if( '1' === $softgen_woo_social_share ){
    add_action( 'woocommerce_single_product_summary', 'softgen_woo_social_share', 60, 0 );
    function softgen_woo_social_share(){
        $softgen_share_content =  ! empty( SoftgenHelper::get_meta_field('dl_description') ) ? SoftgenHelper::get_meta_field('description') : get_the_title();
        $softgen_share_hashtags =  SoftgenHelper::get_meta_field('dl_hashtags');
        $softgen_pin_img =  SoftgenHelper::get_meta_field('dl_pinterest_image');
        $softgen_fetured_img = get_the_post_thumbnail_url(get_the_ID(),'full');
        $softgen_fetured_img_src = (has_post_thumbnail() ) ? $softgen_fetured_img : $softgen_pin_img;
        $softgen_pin_img_url = ! empty( $softgen_pin_img ) ? $softgen_pin_img : $softgen_fetured_img_src;
        $softgen_social_args = [
            'url' => get_the_permalink(),
            'title' => esc_html( $softgen_share_content ),
            'hashtag' => esc_html( $softgen_share_hashtags ),
            'pin-img' => esc_url( $softgen_pin_img_url ),
            'facebook' => ( '1' === softgen_get_option('woo_social_fb', '1') ) ? true : false,
            'twitter' => '1' === softgen_get_option('woo_social_tw', '1') ? true : false,
            'pinterest' => '1' === softgen_get_option('woo_social_pin', '1') ? true : false,
            'linkedin' => '1' === softgen_get_option('woo_social_linkedin', '1') ? true : false,
        ];
        do_action('softgen_social_share');
    }
}

/**
 * Checkout form fields customizing
 */
add_filter( 'woocommerce_checkout_fields', function ( $fields ) {

    $woocommerce_checkout_company_field = get_option( 'woocommerce_checkout_company_field' );
    $woocommerce_checkout_company_field = ( $woocommerce_checkout_company_field == 'required' ) ? true : false;
    // Billing Fields
    $fields['billing']['billing_first_name'] = array(
        'label'       => '',
        'placeholder' => esc_html_x( 'First name *', 'placeholder', 'softgen' ),
        'class'       => array( 'field-half' ),
        'clear'       => true,
        'required'    => true,
    );

    $fields['billing']['billing_last_name'] = array(
        'label'       => '',
        'placeholder' => esc_html_x( 'Last name *', 'placeholder', 'softgen' ),
        'class'       => array( 'field-half' ),
        'clear'       => true,
        'required'    => true,
    );

    $fields['billing']['billing_company'] = array(
        'label'       => '',
        'placeholder' => esc_html_x( "Company name", 'placeholder', 'softgen' ),
        'class'       => array( 'field-full' ),
        'clear'       => true,
        'required'    => $woocommerce_checkout_company_field,
    );

    $fields['billing']['billing_city'] = array(
        'label'       => '',
        'placeholder' => esc_html_x( 'Town / City *', 'placeholder', 'softgen' ),
        'class'       => array( 'field-full' ),
        'clear'       => true,
    );

    $fields['billing']['billing_postcode'] = array(
        'label'       => '',
        'placeholder' => esc_html_x( 'Postcode / ZIP (optional)', 'placeholder', 'softgen' ),
        'class'       => array( 'field-full', 'postcode' ),
        'clear'       => true,
    );
    $fields['billing']['billing_phone'] = array(
        'label'       => '',
        'placeholder' => esc_html_x( 'Phone', 'placeholder', 'softgen' ),
        'required'    => false,
        'class'       => array( 'field-half' ),
        'clear'       => true,
    );

    $fields['billing']['billing_email'] = array(
        'label'       => '',
        'placeholder' => esc_html_x( 'Email address *', 'placeholder', 'softgen' ),
        'required'    => true,
        'class'       => array( 'field-half' ),
        'clear'       => true,
    );

    // Shipping Fields
    $fields['shipping']['shipping_first_name'] = array(
        'label'       => '',
        'placeholder' => esc_html_x( 'First name *', 'placeholder', 'softgen' ),
        'required'    => false,
        'class'       => array( 'field-half' ),
        'clear'       => true,
    );

    $fields['shipping']['shipping_last_name'] = array(
        'label'       => '',
        'placeholder' => esc_html_x( 'Last name *', 'placeholder', 'softgen' ),
        'required'    => false,
        'class'       => array( 'field-half' ),
        'clear'       => true,
    );

    $fields['shipping']['shipping_company'] = array(
        'label'       => '',
        'placeholder' => esc_html_x( 'Company name (optional)', 'placeholder', 'softgen' ),
        'required'    => false,
        'class'       => array( 'field-full' ),
        'clear'       => true,
    );

    $fields['shipping']['shipping_city'] = array(
        'label'       => '',
        'placeholder' => esc_html_x( 'Town / City *', 'placeholder', 'softgen' ),
        'class'       => array( 'field-full' ),
        'clear'       => true,
    );

    $fields['shipping']['shipping_postcode'] = array(
        'label'       => '',
        'placeholder' => esc_html_x( 'Postcode / ZIP (optional)', 'placeholder', 'softgen' ),
        'class'       => array( 'field-full' ),
        'clear'       => true,
    );

    $fields['shipping']['shipping_phone'] = array(
        'label'       => '',
        'placeholder' => esc_html_x( 'Phone', 'placeholder', 'softgen' ),
        'required'    => false,
        'class'       => array( 'field-half' ),
        'clear'       => true,
    );

    $fields['shipping']['shipping_email'] = array(
        'label'       => '',
        'placeholder' => esc_html_x( 'Email address *', 'placeholder', 'softgen' ),
        'required'    => true,
        'class'       => array( 'field-half' ),
        'clear'       => true,
    );

    return $fields;
} );

function softgen_woocommerce_add_category() {
    do_action('softgen_product_meta');
}
add_action( 'woocommerce_shop_loop_item_title', 'softgen_woocommerce_add_category', 5, 0 );

remove_action('woocommerce_before_shop_loop_item', 'woocommerce_template_loop_product_link_open', 10);
remove_action('woocommerce_after_shop_loop_item', 'woocommerce_template_loop_product_link_close', 10);

function softgen_woocommerce_before_thumbnail(){
    echo '<div class="woo-thumb dl-lb-gallery">';
    echo '<a href="'. esc_url( get_the_post_thumbnail_url() ) .'" class="woo-lightbox dl-lightbox"><i class="la la-expand"></i></a>';
}
add_action('woocommerce_before_shop_loop_item', 'softgen_woocommerce_before_thumbnail' );
function softgen_woo_after_thumbnail(){
    echo '</div>';
    echo '<div class="woo-heading">';
}
add_action('woocommerce_before_shop_loop_item_title', 'softgen_woo_after_thumbnail' );

function softgen_woo_loop_item_title(){
    echo '</div>';
}
add_action('woocommerce_after_shop_loop_item_title', 'softgen_woo_loop_item_title' );

add_action('woocommerce_shop_loop_item_title', 'woocommerce_template_loop_product_link_open',5);
add_action('woocommerce_shop_loop_item_title', 'woocommerce_template_loop_product_link_close',15);

// WooCommerce review list
function softgen_woocommerce_comments( $comment, $args, $depth ) {
    $GLOBALS['comment'] = $comment;
    extract( $args, EXTR_SKIP );
    ?>
    <li class="post-comment" id="comment-<?php comment_ID()?>">
        <div class="comment-content">
            <a href="#" class="avatar">
                <?php echo get_avatar( $comment, 70 ); ?>
            </a>
            <div class="post-body">
                <div class="comment-header">
                    <a href="#"> <?php comment_author();?> </a>
                    <?php echo get_comment_time( get_option( 'date_format' ) ); ?>
                </div>
                <div class="rating">
                    <?php woocommerce_review_display_rating()?>
                </div>
                <?php comment_text()?>
                <div class="hr mt_30 mb-0"></div>
            </div>
        </div>
    </li>
    <?php
}

// Enabling the gallery in themes that declare
add_theme_support( 'wc-product-gallery-zoom' );

add_theme_support( 'wc-product-gallery-lightbox' );
add_theme_support( 'wc-product-gallery-slider' );

/**
 * Product Gallery thumbnail size
 */
add_filter( 'woocommerce_get_image_size_gallery_thumbnail', function ( $size ) {
    return array(
        'width'  => 120,
        'height' => 140,
        'crop'   => 1,
    );
} );

/**
 * Re-arrange comment form fields
 *
 * @param [type] $fields
 * @return void
 */
function softgen_woo_comment_form_fields( $fields ){
    if( function_exists('is_product') && is_product()  ){
        $comment_field = $fields['comment'];
        $comment_author = $fields['author'];
        $comment_email = $fields['email'];
        $comment_cookies = $fields['cookies'];
        unset( $fields['comment'] );
        unset( $fields['author'] );
        unset($fields['url']);
        unset( $fields['email'] );
        unset( $fields['cookies'] );
        $fields['comment'] = $comment_field;
        $fields['author'] = '<div class="woo-form-left">'. $comment_author;
        $fields['email'] = $comment_email;
        $fields['cookies'] = $comment_cookies . '</div>';
    }
    return $fields;
}
add_filter( 'comment_form_fields', 'softgen_woo_comment_form_fields', 9 );

if ( ! function_exists( 'softgen_count_bag_item') ) {
    
	function softgen_count_bag_item( $fragments ) {
		ob_start(); ?>

        <span class="count softgen-cart-count"><?php echo esc_html(WC()->cart->get_cart_contents_count()); ?></span>

		<?php
		$fragments['.softgen-cart-count'] = ob_get_clean();
		return $fragments;
	}
    add_filter('woocommerce_add_to_cart_fragments', 'softgen_count_bag_item');
}

// Related products text
function softgen_change_rp_text( $translated, $text, $domain ) {
    if ( $text === 'Related products' && $domain === 'woocommerce' ) {
        $translated = softgen_get_option('woo_rp_text', esc_html__( 'Related Products', 'softgen' ) );;
    }
    return $translated;
}
add_filter('gettext', 'softgen_change_rp_text', 10, 3);
add_filter('ngettext', 'softgen_change_rp_text', 10, 3);

// Related Products limit and columns
function softgen_related_products_args( $args ) {
    $rp_limit = softgen_get_option( 'woo_rp_limit', 4 );
    $rp_col = softgen_get_option( 'woo_rp_col', 4 );
    $args['posts_per_page'] = esc_html( $rp_limit );
    $args['columns'] = esc_html( $rp_col );
    return $args;
}
add_filter( 'woocommerce_output_related_products_args', 'softgen_related_products_args', 20 );
if( softgen_get_option( 'woo_rp_visibility' ) != true ) {
    remove_action( 'woocommerce_after_single_product_summary', 'woocommerce_output_related_products', 20 );
}

// Single Product
remove_action('woocommerce_single_product_summary', 'woocommerce_template_single_title', 5);
remove_action('woocommerce_single_product_summary', 'woocommerce_template_single_rating', 10);
remove_action('woocommerce_single_product_summary', 'woocommerce_template_single_price', 10);
function softgen_product_single_title() {
    do_action('softgen_product_meta');
    woocommerce_template_single_title();
    woocommerce_template_single_price();
}
add_action('woocommerce_single_product_summary', 'softgen_product_single_title');

// Set body class if product has gallery images
function softgen_woocommerce_body_class( $classes ) {
    if ( is_product() ) {
        if ( wc_get_product()->get_gallery_image_ids() ) {
            $classes[] = 'woo-product-gallery';
        }
    }
    return $classes;
}

add_filter( 'body_class', 'softgen_woocommerce_body_class' );