<?php
/**
 * The template for displaying search results pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package softgen
 */

get_header();
$softgen_sidebar_args = [
	'global_layout' => softgen_get_option( 'theme_sidebar_layout', 'right-sidebar' ),
	'global_widget' => softgen_get_option( 'theme_sidebar_widget', 'right-sidebar' )
];
$softgen_post_style = softgen_get_option( 'blog_post_style', 'classic' );
$softgen_masonry = 'grid' === $softgen_post_style ? ' data-masonry=\'{"percentPosition": true }\'' : '';
?>
<section class="wrapper">
	<div class="<?php SoftgenHelper::theme_layout(); ?>">
		<div class="dl-row <?php echo esc_attr( SoftgenSidebar::sidebar_status( $softgen_sidebar_args ) )  . ' style-' . esc_attr( $softgen_post_style ); ?>">
			<main id="primary" class="site-main">
				<div class="post-items <?php echo esc_attr( $softgen_post_style ); ?>"<?php echo wp_kses( $softgen_masonry, SoftgenHelper::get_allowed_html_tags() ); ?>>
					<?php 
					if ( have_posts() ) :

						/* Start the Loop */
						while ( have_posts() ) :
							the_post();

							/**
							 * Run the loop for the search to output the results.
							 * If you want to overload this in a child theme then include a file
							 * called content-search.php and that will be used instead.
							 */
							get_template_part( 'template-parts/content', 'search' );

						endwhile;

					else :

						get_template_part( 'template-parts/content', 'none' );

					endif; ?>
				</div><!-- .post-items -->
				<?php softgen_the_posts_navigation(); ?>
			</main><!-- #main -->
			<?php get_sidebar(); ?>
		</div><!-- .dl-row -->
	</div><!-- .container -->
</section>
<?php
get_footer();
