<?php
/**
 * The sidebar containing the main widget area
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package softgen
 */

$softgen_sidebar_id = '';
$softgen_opt_global_layout = softgen_get_option( 'theme_sidebar_layout', 'right-sidebar' );
$softgen_opt_global_widget = softgen_get_option( 'theme_sidebar_widget', 'right-sidebar' );
$softgen_opt_blog_layout = softgen_get_option( 'blog_sidebar_layout', 'default' );
$softgen_opt_blog_widget = softgen_get_option( 'blog_sidebar_widget', 'default' );
$softgen_opt_service_layout = softgen_get_option( 'service_sidebar_layout', 'right-sidebar' );
$softgen_opt_service_widget = softgen_get_option( 'service_sidebar_widget', 'service-sidebar' );
$softgen_meta_layout = SoftgenHelper::get_meta_field( 'softgen_layout', 'default' );
$softgen_meta_sidebar_widget = SoftgenHelper::get_meta_field( 'softgen_sidebar_widgets', 'default' );

if( is_page() || is_single() || is_singular('dl-service') ) {
	if( 'default' != $softgen_meta_layout ) {
		$softgen_sidebar_id = SoftgenSidebar::sidebar_widget_id($softgen_meta_sidebar_widget, $softgen_opt_global_widget, $softgen_opt_blog_widget, $softgen_opt_service_widget );
		if( 'no-sidebar' === $softgen_meta_layout ) { return; }
	}else{
		if( is_page() ) {
			$softgen_sidebar_id = $softgen_opt_global_widget;
			if( 'no-sidebar' === $softgen_opt_global_layout ) { return; }
		}elseif( is_singular('post') ) {
			if( 'default' != $softgen_opt_blog_layout ) {
				$softgen_sidebar_id = 'default' != $softgen_opt_blog_widget ? $softgen_opt_blog_widget : $softgen_opt_global_widget;
				if( 'no-sidebar' === $softgen_opt_blog_layout ) { return; }
			}else{
				$softgen_sidebar_id = 'default' != $softgen_opt_blog_widget ? $softgen_opt_blog_widget : $softgen_opt_global_widget;
				if( 'no-sidebar' === $softgen_opt_global_layout ) { return; }
			}
		}elseif( is_singular('dl-service') ) {
			if( 'default' != $softgen_opt_service_layout ) {
				$softgen_sidebar_id = 'default' != $softgen_opt_service_widget ? $softgen_opt_service_widget : $softgen_opt_global_widget;
				if( 'no-sidebar' === $softgen_opt_service_layout ) { return; }
			}else{
				$softgen_sidebar_id = 'default' != $softgen_opt_service_widget ? $softgen_opt_service_widget : $softgen_opt_global_widget;
				if( 'no-sidebar' === $softgen_opt_global_layout ) { return; }
			}
		}
	}
}else{
	$softgen_sidebar_id = $softgen_opt_global_widget;
	if( 'no-sidebar' === $softgen_opt_global_layout ) { return; }
}

if ( ! is_active_sidebar( $softgen_sidebar_id ) ) {
	return;
}
?>

<aside id="secondary" class="widget-area">
	<?php
	if( is_singular('dl-service') ) {
		$softgen_rel_heading = SoftgenHelper::get_meta_field('rel_service_heading', '');
		$softgen_rel_services = ! empty( SoftgenHelper::get_meta_field('related_services') ) ? SoftgenHelper::get_meta_field('related_services') : [];
		if( ! empty( $softgen_rel_services ) ) {
			echo '<section id="services-relation" class="widget services-relation">';
			if( ! empty( $softgen_rel_heading ) ) {
				echo '<h2 class="widget-title">'. esc_html( $softgen_rel_heading ) .'</h2>';
			}
			echo '<ul>';
			foreach( $softgen_rel_services as $softgen_rel_service ){
				$softgen_current_service = get_the_ID() === $softgen_rel_service ? 'current-service' : '';
				echo '<li class="'. esc_attr( $softgen_current_service ) .'"><a href="'. esc_url( get_the_permalink( $softgen_rel_service )) .'">'. esc_html( get_the_title( $softgen_rel_service ) ) .'</a><i class="las la-arrow-right"></i></li>';
			}
			echo '</ul>';
			echo '</section>';
		}
	}
	?>
	<?php dynamic_sidebar( $softgen_sidebar_id ); ?>
</aside><!-- #secondary -->
