<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package softgen
 */
$softgen_post_style = softgen_get_option( 'blog_post_style', 'classic' );
$softgen_img_size = 'classic' === $softgen_post_style ? 'softgen-thumb-classic' : 'softgen-thumb-grid';
?>

<article id="post-<?php the_ID(); ?>" <?php post_class( $softgen_post_style ); ?>>
	<div class="article-inner">
		<?php softgen_post_thumbnail( $softgen_img_size ); ?>
		<div class="post-content">
			<header class="entry-header">
				<div class="entry-meta">
					<?php softgen_entry_header(); ?>
				</div><!-- .entry-meta -->
				<?php the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' ); ?>
			</header><!-- .entry-header -->
			<?php if( has_excerpt() ) : ?>
			<div class="entry-content">
				<?php echo SoftgenHelper::kses_basic( softgen_excerpt() ); ?>
			</div><!-- .entry-content -->
			<?php endif; ?>

			<footer class="entry-footer">
				<a href="<?php the_permalink(); ?>" class="readmore"><?php esc_html_e( 'Read More', 'softgen' ); ?></a>
				<?php softgen_comments_link(); ?>
			</footer><!-- .entry-footer -->
		</div>
	</div>
	
</article><!-- #post-<?php the_ID(); ?> -->