<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package softgen
 */
$softgen_post_style = softgen_get_option( 'blog_post_style', 'classic' );
$softgen_excerpt_length = 'classic' === $softgen_post_style ? 31 : 20;
$softgen_img_size = 'classic' === $softgen_post_style ? 'softgen-thumb-classic' : 'softgen-thumb-grid';
?>

<article id="post-<?php the_ID(); ?>" <?php post_class( $softgen_post_style ); ?>>
	<div class="article-inner">
		<?php 
		if( 'show' === softgen_get_option( 'blog_post_img', 'show' ) ) {
			softgen_post_thumbnail( $softgen_img_size );
		}
		?>
		<div class="post-content">
			<header class="entry-header">
			<?php
				softgen_entry_header();
				the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
			?>
			</header><!-- .entry-header -->
			<?php if( has_excerpt() && 'show' === softgen_get_option( 'blog_post_excerpt', 'show' ) ) : ?>
			<div class="entry-content">
				<?php echo SoftgenHelper::kses_basic( softgen_excerpt( softgen_get_option( 'blog_post_excerpt_length', $softgen_excerpt_length ) ) ); ?>
			</div><!-- .entry-content -->
			<?php endif; ?>
			<?php if( 'show' === softgen_get_option( 'blog_post_readmore', 'show' ) || 'show' === softgen_get_option( 'blog_post_comments', 'show' ) ) : ?>
			<footer class="entry-footer">
				<?php if( 'show' === softgen_get_option( 'blog_post_readmore', 'show' ) ) : ?>
				<a href="<?php the_permalink(); ?>" class="readmore"><?php echo esc_html( softgen_get_option( 'blog_post_rm_text', esc_html__( 'Read More', 'softgen' ) ) ); ?></a>
				<?php 
				endif;
				if( 'show' === softgen_get_option( 'blog_post_comments', 'show' ) ) {
					softgen_comments_link(); 
				}
				?>
			</footer><!-- .entry-footer -->
			<?php endif; ?>
		</div>
	</div>
	
</article><!-- #post-<?php the_ID(); ?> -->
